; Scrap Brain Zone
; Finished: 31.07.2014

Music04_P:
Mus_04_SBZ_PSG:
	StartSongMarker
	SongPtr		Mus_04_SBZ_PSG1
	SongPtr		Mus_04_SBZ_PSG2
	SongPtr		Mus_04_SBZ_PSG3
	SongPtr		Mus_04_SBZ_Drums
	dw		0000h

Music04_F:
Mus_04_SBZ_FM:
	StartSongMarker
	SongPtr		Mus_04_SBZ_FM1
	SongPtr		Mus_04_SBZ_FM2
	SongPtr		Mus_04_SBZ_FM3
	SongPtr		Mus_04_SBZ_FM4
	SongPtr		Mus_04_SBZ_FM5
	SongPtr		Mus_04_SBZ_FM6
	SongPtr		Mus_04_SBZ_Drums

; S1_ScrapBrain.vgm values:
;	51 30 50	-> 0F (Melody)		-> make FM1
;	51 32 53	-> 0C (Melody Echo)	-> make FM5
;	51 31 E0	-> 0F (Bass)		-> make FM2
;	51 35 81	-> 0E (Bass Doubled)	-> make FM4
;	51 33 C1	-> 0E (Chord)		-> make FM3
;	51 34 B2	-> 0D (Chord Doubled)	-> make FM6

Mus_04_SBZ_FM1:
	cSetInstrument	08h, 05h
	cSetVolume	0Ch, 0Eh
	
	cGoTo		Mus_04_SBZ_Trk1

Mus_04_SBZ_FM5:
	Note		nRst, 16
	cSetInstrument	08h, 05h
	cSetVolume	07h, 0Bh
	
	cDetune		+4, -2
	cGoTo		Mus_04_SBZ_Trk1_Main

Mus_04_SBZ_FM2:
	cSetInstrument	07h, 0Eh
	cSetVolume	0Dh, 0Fh
	cSetTranspose	24
	
	cGoTo		Mus_04_SBZ_Trk2

Mus_04_SBZ_FM4:
	cSetInstrument	07h, 08h
	cSetVolume	0Dh, 0Eh
	cSetTranspose	36
	
	cGoTo		Mus_04_SBZ_Trk2

Mus_04_SBZ_FM3:
	cSetInstrument	08h, 0Ch
	cSetVolume	0Ah, 0Eh
	cSetTranspose	48
	
	cGoTo		Mus_04_SBZ_FM36_Main

Mus_04_SBZ_FM6:
	cSetInstrument	08h, 0Bh
	cSetVolume	0Ah, 0Dh
	cSetTranspose	60
	
Mus_04_SBZ_FM36_Main:
	cDetune		+4, -2
	Note		nRst, 4
	cGoTo		Mus_04_SBZ_Trk3

Mus_04_SBZ_PSG1:
	cSetInstrument	08h, 00h
	cSetVolume	0Ch, 0Dh
Mus_04_SBZ_Trk1:	; 000A
	cTempo		4, 3
	cDummy		0FFh
	
Mus_04_SBZ_Trk1_Main:
	cModulation	16, 1, 4, +6, -2
	cSetTranspose	60
	Note		nD, 16
	Note		nE, 16
	Note		nF, 16
	Note		nG, 16
	
	cLoopStart	0
	;cSetVolume	0Ch, 0Dh
	
	cLoopStart	2
Mus_04_SBZ_Trk1_Loop1:
	cGoSub		Mus_04_SBZ_Trk1_SubA
	Note		nD, 8
	Note		nHold, 2
	cChgVolume	-2, -1
	Note		nF, 16
	Note		nE, 16
	Note		nF, 16
	cChgVolume	+2, +1
	Note		nD, 16
	Note		nE, 16
	Note		nF, 16
	Note		nG, 16
	
	cGoSub		Mus_04_SBZ_Trk1_SubA
	Note		nG, 16
	Note		nHold, 2
	Note		nHold, 4
	Note		nHold, 8
	cChgVolume	-3, -2
	cOctaveDown
	Note		nD, 16
	Note		nE, 16
	cChgVolume	+3, +2
	cOctaveUp
	Note		nE, 16
	Note		nE, 16
	Note		nD, 16
	Note		nE, 16
	Note		nC, 16
	cOctaveDown
	Note		nG, 16
	cChgVolume	-4, -3
	Note		nC1, 16
	cChgVolume	+4, +3
	Note		nC1, 16
	Note		nHold, 2
	cOctaveUp
	Note		nD, 16
	Note		nD, 16
	Note		nE, 16
	Note		nF, 16
	Note		nD, 16
	cOctaveDown
	Note		nA, 16
	cChgVolume	-4, -3
	cOctaveUp
	Note		nD, 16
	cChgVolume	+4, +3
	Note		nD, 16
	Note		nHold, 2
	Note		nE, 16
	Note		nE, 16
	Note		nF, 16
	Note		nG, 16
	Note		nE, 16
	Note		nC, 16
	Note		nRst, 16
	Note		nE, lExtra, 36
	Note		nE, 8
	Note		nF, 16
	cChgVolume	-3, -2
	Note		nE, 16
	cChgVolume	+3, +2
	Note		nG, 16
	cChgVolume	-3, -2
	Note		nF, 16
	cChgVolume	+3, +2
	Note		nA, 16
	cChgVolume	-3, -2
	Note		nG, 16
	cChgVolume	+3, +2
	Note		nA, 16
	cChgVolume	-3, -2
	Note		nA, 16
	cChgVolume	+3, +2
	Note		nC1, 16
	Note		nBb, 16
	cChgVolume	-3, -2
	Note		nC1, 16
	cChgVolume	+3, +2
	cLoopJump	1, Mus_04_SBZ_Trk1_Loop1_Coda
	
	Note		nA, 16
	Note		nHold, 4
	Note		nD, 16
	Note		nE, 16
	Note		nF, 16
	Note		nG, 16
Mus_04_SBZ_Trk1_Loop1_Coda:
	cLoopEnd	Mus_04_SBZ_Trk1_Loop1
	
	Note		nA, 2
	cChgVolume	-4, -3
	Note		nA, 16
	cChgVolume	+4, +3
	
	cLoopStart	2
Mus_04_SBZ_Trk1_Loop2:
	Note		nD, 2
	Note		nHold, 8
	Note		nD, 8
	Note		nE, 8
	Note		nF, 8
	
	Note		nG, 2
	Note		nHold, 8
	Note		nG, 8
	Note		nF, 8
	Note		nE, 8
	
	Note		nF, 2
	Note		nHold, 8
	Note		nD, 8
	Note		nE, 8
	Note		nF, 8
	
	Note		nE, 2
	cLoopJump	1, Mus_04_SBZ_Trk1_Loop2_Coda
	Note		nHold, 8
	Note		nG, 8
	Note		nF, 8
	Note		nE, 8
Mus_04_SBZ_Trk1_Loop2_Coda:
	cLoopEnd	Mus_04_SBZ_Trk1_Loop2
	
	Note		nHold, 16
	Note		nRst, 16
	cOctaveDown
	Note		nA, 16
	Note		nRst, 16
	cOctaveUp
	Note		nD, 16
	Note		nE, 16
	Note		nF, 16
	Note		nG, 16
	cTrkEndMusic

Mus_04_SBZ_Trk1_SubA:
	Note		nA, 2
	Note		nHold, 8
	Note		nG, 16
	cChgVolume	-3, -2
	Note		nA, 16
	cChgVolume	+3, +2
	Note		nF, 16
	Note		nE, 16
	cChgVolume	-3, -2
	Note		nF, 16
	cChgVolume	+3, +2
	cReturn

Mus_04_SBZ_PSG2:
	cSetInstrument	07h, 00h
	cSetVolume	0Dh, 0Eh
	cSetTranspose	36
Mus_04_SBZ_Trk2:	; 0193
	Note		nRst, 4
	
	cLoopStart	0
	
	cLoopStart	2
Mus_04_SBZ_Trk2_Loop1:	; 019E
	cLoopStart	4
Mus_04_SBZ_Trk2_Loop11:	; 01A0
	Note		nD, 16
	Note		nD, 16
	Note		nA, 16
	Note		nA, 16
	Note		nF, 16
	Note		nF, 16
	Note		nA, 16
	Note		nA, 16
	cLoopEnd	Mus_04_SBZ_Trk2_Loop11
	
	cLoopStart	4
Mus_04_SBZ_Trk2_Loop12:	; 01AF
	cOctaveDown
	Note		nBb, 16
	Note		nBb, 16
	cOctaveUp
	Note		nF, 16
	Note		nF, 16
	Note		nD, 16
	Note		nD, 16
	Note		nF, 16
	Note		nF, 16
	cLoopEnd	Mus_04_SBZ_Trk2_Loop12
	
	cLoopStart	2
Mus_04_SBZ_Trk2_Loop13:	; 01BE
	Note		nC, 16
	Note		nC, 16
	Note		nG, 16
	Note		nG, 16
	Note		nE, 16
	Note		nE, 16
	Note		nG, 16
	Note		nG, 16
	cLoopEnd	Mus_04_SBZ_Trk2_Loop13
	
	cLoopStart	2
Mus_04_SBZ_Trk2_Loop14:	; 01CB
	Note		nD, 16
	Note		nD, 16
	Note		nA, 16
	Note		nA, 16
	Note		nF, 16
	Note		nF, 16
	Note		nA, 16
	Note		nA, 16
	cLoopEnd	Mus_04_SBZ_Trk2_Loop14
	
	Note		nC, 16
	Note		nC, 16
	Note		nG, 16
	Note		nG, 16
	Note		nE, 16
	Note		nE, 16
	Note		nG, 16
	Note		nG, 16
	
	Note		nC, 16
	Note		nC, 16
	Note		nG, 16
	Note		nG, 16
	cOctaveDown
	Note		nBb, 16
	Note		nBb, 16
	cOctaveUp
	Note		nG, 16
	Note		nG, 16
	cOctaveDown
	
	Note		nA, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nRst, 16
	Note		nC1, 16
	Note		nC1, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nBb, 16
	Note		nA, 16
	Note		nA, 16
	Note		nA, 16
	cOctaveUp
	Note		nC, 16
	Note		nCs, 16
	cLoopEnd	Mus_04_SBZ_Trk2_Loop1
	
	Note		nD, 1
	Note		nC, 1
	cOctaveDown
	Note		nBb, 1
	Note		nA, 1
	cOctaveUp
	Note		nD, 1
	Note		nC, 1
	cOctaveDown
	Note		nBb, 1
	Note		nA, 2
	Note		nHold, 16
	Note		nA, 16
	cOctaveUp
	Note		nA, 16
	cOctaveDown
	Note		nA, 16
	Note		nA, 16
	Note		nB, 16
	cOctaveUp
	Note		nC, 16
	Note		nCs, 16
	cTrkEndMusic

Mus_04_SBZ_PSG3:
	cSetInstrument	08h, 00h
	cSetVolume	07h, 0Ah
	cSetTranspose	60
	
	cDetune		+4, -2
	Note		nRst, 16
	Note		nD, 16
	Note		nE, 16
	Note		nF, 16
	cOctaveDown
	
	cSetVolume	0Ah, 0Ch
Mus_04_SBZ_Trk3:	; 021B
	cLoopStart	0
	
	cLoopStart	2
Mus_04_SBZ_Trk3_Loop1:	; 0233
	cLoopStart	2
Mus_04_SBZ_Trk3_Loop11:
	Note		nD, 16		; 2:1/4:1
	cOctaveDown
	Note		nA, 16
	cOctaveUp
	Note		nF, 16
	cChgVolume	-3, -2
	cOctaveDown
	Note		nA, 16
	cChgVolume	+3, +2
	cOctaveUp
	Note		nE, 16
	Note		nC, 16
	cChgVolume	-3, -2
	Note		nE, 16
	cChgVolume	+3, +2
	Note		nD, 16
	cChgVolume	-3, -2
	Note		nC, 16		; 3:1/5:1
	cChgVolume	+3, +2
	cLoopJump	1, Mus_04_SBZ_Trk3_Loop11_Coda
	
	cOctaveDown
	Note		nA, lExtra, 36
	Note		nHold, 16
	Note		nA, 16
	cOctaveUp
	Note		nD, 16
	Note		nC, 16
	
Mus_04_SBZ_Trk3_Loop11_Coda:
	cLoopEnd	Mus_04_SBZ_Trk3_Loop11
	
	Note		nD, 16
	Note		nC, 16
	Note		nD, 16
	cOctaveDown
	Note		nBb, 16
	cOctaveUp
	Note		nC, 16
	Note		nD, 16
	Note		nE, 16
	
	Note		nF, 16		; 6:1
	Note		nD, 16
	Note		nA, 16
	cChgVolume	-3, -2
	Note		nD, 16
	cChgVolume	+3, +2
	Note		nG, 16
	Note		nA, 16
	cChgVolume	-3, -2
	Note		nG, 16
	cChgVolume	+3, +2
	Note		nF, 8
	Note		nHold, 4	; 7:1
	Note		nF, 16
	Note		nE, 16
	Note		nC, 16
	
	Note		nD, 16		; 8:1
	cOctaveDown
	Note		nA, 16
	cOctaveUp
	Note		nA, 16
	cChgVolume	-3, -2
	cOctaveDown
	Note		nA, 16
	cChgVolume	+3, +2
	cOctaveUp
	Note		nG, 16
	Note		nA, 16
	cChgVolume	-3, -2
	Note		nG, 16
	cChgVolume	+3, +2
	cOctaveUp
	Note		nD, 8
	cChgTranspose	-24		; 9:1
	Note		nA, 32
	cChgVolume	-3, -2
	cChgTranspose	+24
	Note		nD, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nD, 32
	cChgVolume	-3, -2
	cOctaveDown
	Note		nA, 32
	cChgVolume	+3, +2
	Note		nA, 32
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 32
	cChgVolume	+3, +2
	Note		nD, 32
	cChgVolume	-3, -2
	cOctaveDown
	Note		nA, 32
	cChgVolume	+3, +2
	cOctaveUp
	Note		nE, 32
	cChgVolume	-3, -2
	Note		nD, 32
	cChgVolume	+3, +2
	Note		nF, 32
	cChgVolume	-3, -2
	Note		nE, 32
	cChgVolume	+3, +2
	Note		nG, 32
	cChgVolume	-3, -2
	Note		nF, 32
	cChgVolume	+3, +2
	
	cLoopStart	3
Mus_04_SBZ_Trk3_Loop12:	; 02F7
	Note		nC, 32		; 10:1/10:3/11:1
	cChgVolume	-3, -2
	Note		nG, 32
	cChgVolume	+3, +2
	Note		nG, 32
	cChgVolume	-3, -2
	Note		nC, 32
	cChgVolume	+3, +2
	cLoopJump	1, Mus_04_SBZ_Trk3_Loop12_Coda
	
	Note		nE, 32
	cChgVolume	-3, -2
	Note		nG, 32
	cChgVolume	+3, +2
	Note		nG, 32
	cChgVolume	-3, -2
	Note		nE, 32
	cChgVolume	+3, +2
Mus_04_SBZ_Trk3_Loop12_Coda
	cLoopEnd	Mus_04_SBZ_Trk3_Loop12
	
	cOctaveUp
	Note		nG, 16
	cChgVolume	-3, -2
	cOctaveDown
	Note		nG, 16
	cChgVolume	+3, +2
	cOctaveUp
	Note		nF, 32		; 11:3
	cChgVolume	-3, -2
	Note		nG, 32
	cChgVolume	+3, +2
	Note		nE, lExtra, 36
	cOctaveDown
	
	cLoopStart	3
Mus_04_SBZ_Trk3_Loop13:	; 0341
	Note		nD, 32		; 12:1/12:3/13:1
	cChgVolume	-3, -2
	Note		nD, 32
	cChgVolume	+3, +2
	Note		nA, 32
	cChgVolume	-3, -2
	Note		nD, 32
	cChgVolume	+3, +2
	cLoopJump	1, Mus_04_SBZ_Trk3_Loop13_Coda
	
	Note		nF, 32
	cChgVolume	-3, -2
	Note		nA, 32
	cChgVolume	+3, +2
	Note		nA, 32
	cChgVolume	-3, -2
	Note		nF, 32
	cChgVolume	+3, +2
Mus_04_SBZ_Trk3_Loop13_Coda:
	cLoopEnd	Mus_04_SBZ_Trk3_Loop13
	
	cOctaveUp
	Note		nA, 16
	cChgVolume	-3, -2
	cOctaveDown
	Note		nA, 16
	cChgVolume	+3, +2
	cOctaveUp
	Note		nG, 32		; 13:3
	cChgVolume	-3, -2
	Note		nA, 32
	cChgVolume	+3, +2
	Note		nF, lExtra, 36
	
	cLoopStart	3
Mus_04_SBZ_Trk3_Loop14:	; 038E
	Note		nE, 32		; 14:1/14:3/15:1
	cChgVolume	-3, -2
	Note		nC, 32
	cChgVolume	+3, +2
	Note		nC, 32
	cChgVolume	-3, -2
	Note		nE, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nG, 32
	cChgVolume	-3, -2
	Note		nC1, 32
	cChgVolume	+3, +2
	Note		nC1, 32
	cChgVolume	-3, -2
	Note		nG, 32
	cChgVolume	+3, +2
	cOctaveUp
	cLoopEnd	Mus_04_SBZ_Trk3_Loop14
	
	Note		nE, 32		; 15:3
	cChgVolume	-3, -2
	Note		nC, 32
	cChgVolume	+3, +2
	Note		nF, 32
	cChgVolume	-3, -2
	Note		nE, 32
	cChgVolume	+3, +2
	Note		nE, 32
	cChgVolume	-3, -2
	Note		nF, 32
	cChgVolume	+3, +2
	Note		nC, 32
	cChgVolume	-3, -2
	Note		nE, 32
	cChgVolume	+3, +2
	
	Note		nE, 16		; 16:1
	cChgVolume	-3, -2
	Note		nC, 16
	cChgVolume	+3, +2
	Note		nE, 16
	cChgVolume	-3, -2
	Note		nE, 16
	cChgVolume	+3, +2
	Note		nG, 16
	Note		nF, 16
	cChgVolume	-3, -2
	Note		nG, 16
	cChgVolume	+3, +2
	Note		nE, 16
	Note		nHold, 4	; 17:1
	cChgTranspose	-24
	Note		nA, 16
	Note		nB, 16
	cOctaveUp
	Note		nC, 16
	Note		nCs, 16
	cLoopEnd	Mus_04_SBZ_Trk3_Loop1
	
	cLoopStart	2
Mus_04_SBZ_Trk3_Loop2:
	Note		nF, 16		; 34:1/42:1
	cOctaveDown
	Note		nA, 8
	cOctaveUp
	Note		nE, 8
	Note		nD, 8
	Note		nF, 8
	cOctaveDown
	Note		nA, 8
	cOctaveUp
	Note		nD, 16
	Note		nE, 8
	Note		nD, 8
	Note		nF, 16		; 36:1/44:1
	cOctaveDown
	Note		nA, 8
	cOctaveUp
	Note		nE, 8
	Note		nD, 8
	Note		nF, 8
	cOctaveDown
	Note		nA, 8
	cOctaveUp
	Note		nC, 16
	Note		nE, 8
	Note		nD, 8
	Note		nF, 16		; 38:1/46:1
	cOctaveDown
	Note		nBb, 8
	cOctaveUp
	Note		nE, 8
	Note		nF, 8
	Note		nG, 8
	cOctaveDown
	Note		nBb, 8
	cOctaveUp
	Note		nF, 16
	Note		nE, 8
	Note		nD, 8
	cLoopJump	1, Mus_04_SBZ_Trk3_Loop2_Coda
	
	Note		nE, 16		; 40:1
	cOctaveDown
	Note		nA, 8
	cOctaveUp
	Note		nCs, 8
	Note		nD, 8
	Note		nE, 8
	cOctaveDown
	Note		nA, 8
	cOctaveUp
	Note		nE, 16
	Note		nD, 8
	Note		nCs, 8
Mus_04_SBZ_Trk3_Loop2_Coda:
	cLoopEnd	Mus_04_SBZ_Trk3_Loop2
	
	cOctaveDown
	Note		nA, 32		; 48:1
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nB, 32
	cChgVolume	-3, -2
	Note		nA, 32
	cChgVolume	+3, +2
	cOctaveUp
	Note		nCs, 32
	cChgVolume	-3, -2
	cOctaveDown
	Note		nB, 32
	cChgVolume	+3, +2
	cOctaveUp
	Note		nD, 32
	cChgVolume	-3, -2
	Note		nCs, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nB, 32
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 32
	cChgVolume	+3, +2
	Note		nCs, 32
	cChgVolume	-3, -2
	cOctaveDown
	Note		nB, 32
	cChgVolume	+3, +2
	cOctaveUp
	Note		nD, 32
	cChgVolume	-3, -2
	Note		nCs, 32
	cChgVolume	+3, +2
	Note		nE, 32
	cChgVolume	-3, -2
	Note		nD, 32
	cChgVolume	+3, +2
	Note		nCs, 32
	cChgVolume	-3, -2
	Note		nE, 32
	cChgVolume	+3, +2
	Note		nD, 32
	cChgVolume	-3, -2
	Note		nCs, 32
	cChgVolume	+3, +2
	Note		nE, 32
	cChgVolume	-3, -2
	Note		nD, 32
	cChgVolume	+3, +2
	Note		nG, 32
	cChgVolume	-3, -2
	Note		nE, 32
	cChgVolume	+3, +2
	Note		nA, 32
	cChgVolume	-3, -2
	Note		nG, 32
	cChgVolume	+3, +2
	cOctaveUp
	Note		nCs, 32
	cChgVolume	-3, -2
	cOctaveDown
	Note		nA, 32
	cChgVolume	+3, +2
	cOctaveUp
	Note		nD, 32
	cChgVolume	-3, -2
	Note		nCs, 32
	cChgVolume	+3, +2
	Note		nE, 32
	cChgVolume	-3, -2
	Note		nD, 32
	cChgVolume	+3, +2
	cOctaveDown
	cTrkEndMusic

Mus_04_SBZ_Drums:	; 04E3
	cSetTranspose	80h
	cDrumVolume	0Fh, 0Fh, 0Eh, 0Fh, 0Ch
	cSetVolume	09h, 0Dh
	
	Note		nBassDrm, 16
	Note		nRst, 16
	Note		nBassDrm, 16
	Note		nRst, 16
	
	cLoopStart	0
	
	Note		nBassCym, 16
	Note		nBassDrm, 16
	cChgVolume	+3, +2
	Note		nSnareDrm, 16
	cChgVolume	-3, -2
	Note		nBassDrm, 16
	
	cLoopStart	27
Mus_04_SBZ_Drums_Loop1:	; 04F0
	Note		nBassDrm, 16
	Note		nBassDrm, 16
	cChgVolume	+3, +2
	Note		nSnareDrm, 16
	cChgVolume	-3, -2
	Note		nBassDrm, 16
	cLoopEnd	Mus_04_SBZ_Drums_Loop1

	cLoopStart	2
Mus_04_SBZ_Drums_Loop2:	; 0502
	cChgVolume	+3, +2
	Note		nSnareDrm, 16
	cChgVolume	-3, -2
	Note		nBassDrm, 16
	cLoopEnd	Mus_04_SBZ_Drums_Loop2
	
	cChgVolume	+3, +2
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	cChgVolume	-3, -2
	Note		nBassDrm, 16
	cChgVolume	+3, +2
	Note		nSnareDrm, 16
	cChgVolume	-3, -2
	Note		nBassDrm, 16
	cChgVolume	+3, +2
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	cChgVolume	-3, -2
	cTrkEndMusic
