; Death
; Finished: 24.07.2014

Music0A_P:
Mus_0A_Death_PSG:
	StartSongMarker
	SongPtr		Mus_0A_Death_PSG1
	SongPtr		Mus_0A_Death_PSG2
	SongPtr		Mus_0A_Death_PSG3
	SongPtr		Mus_0A_Death_Drums
	dw		0000h

Music0A_F:
Mus_0A_Death_FM:
	StartSongMarker
	SongPtr		Mus_0A_Death_FM1
	SongPtr		Mus_0A_Death_FM2
	SongPtr		Mus_0A_Death_FM3
	SongPtr		Mus_0A_Death_FM4
	SongPtr		Mus_0A_Death_FM5
	SongPtr		Mus_0A_Death_FM6
	SongPtr		Mus_0A_Death_Drums

; S1_Death.vgm values:
;	51 30 A0	-> 0F
;	51 33 70	-> 0F
;	51 31 F2	-> 0D
;	51 34 81	-> 0E
;	51 32 51	-> 0E
;	51 35 11	-> 0E
Mus_0A_Death_FM1:
	cSetInstrument	0Ch, 0Ah
	
	cGoTo		Mus_0A_Death_Trk1

Mus_0A_Death_FM4:
	cSetInstrument	0Ch, 07h
	
	cGoTo		Mus_0A_Death_Trk1

Mus_0A_Death_FM2:
	cSetInstrument	1Ah, 0Fh
	cSetVolume	0Dh, 0Dh
	cSetTranspose	24
	
	cGoTo		Mus_0A_Death_Trk2_FMab

Mus_0A_Death_FM5:
	cSetInstrument	1Ah, 08h
	cSetVolume	0Dh, 0Eh
	cSetTranspose	36
	
Mus_0A_Death_Trk2_FMab:
	cGoSub		Mus_0A_Death_Trk2a
	cGoTo		Mus_0A_Death_Trk2b

Mus_0A_Death_FM3:
	cSetInstrument	1Ch, 05h
	
	cGoTo		Mus_0A_Death_Trk3

Mus_0A_Death_FM6:
	cSetInstrument	1Ch, 01h
	
	cGoTo		Mus_0A_Death_Trk3


Mus_0A_Death_PSG1:
	cSetInstrument	0Ch, 00h
Mus_0A_Death_Trk1:	; 000A
	cTempo		1, 1
	cDummy		0FFh
	
	cSetVolume	0Fh, 0Fh
	cSetTranspose	24
	
	cLoopStart	3
Mus_0A_Death_Trk1_Loop_00:	; 0019
	Note		nC1, 96
	Note		nA, 96
	Note		nB, 96
	cVolumeDown
	cVolumeDown
	cChgTranspose	+60
	Note		nC, 96
	cChgTranspose	-60
	Note		nA, 96
	Note		nRst, 96
	cVolumeDown
	cVolumeDown
	cLoopEnd	Mus_0A_Death_Trk1_Loop_00
	
	cSetVolume	0Ch, 0Dh
	cSetTranspose	72
	Note		nC, 4
	Note		nC, 8
	Note		nCs, lExtra, 36
	cModulation	11, 1, 250, -2, +2	; PSG: 1DF-032=1AD (Bb->C), FM: 134+032=166 (Bb->C)
	cOctaveDown
	Note		nBb, lExtra, 60
	cModulation	16, 1, 4, +4, -2
	Note		nC1, 16
	Note		nRst, 16
	Note		nC1, 16
	Note		nRst, 16
	Note		nC1, 16
	Note		nRst, 16
	Note		nGs, 16
	Note		nRst, 16
	
	cLoopStart	8
Mus_0A_Death_Trk1_Loop_01:	; 0053
	Note		nFs, 16
	Note		nRst, 16
	cVolumeDown
	cLoopEnd	Mus_0A_Death_Trk1_Loop_01
	
	cTrkEndMusic

Mus_0A_Death_PSG2:
	cSetInstrument	1Ah, 00h
	cSetVolume	0Dh, 0Eh
	cSetTranspose	36
	
	cGoSub		Mus_0A_Death_Trk2a
	
	cSetInstrument	1Bh, 00h
	cGoTo		Mus_0A_Death_Trk2b
	
Mus_0A_Death_Trk2a:	; 005A
	Note		nRst, 16
	Note		nA, 8
	cOctaveUp
	Note		nA, 8
	Note		nE, 8
	Note		nE, 8
	Note		nG, 8
	Note		nG, 16
	Note		nFs, 8
	Note		nG, 16
	Note		nFs, 8
	cOctaveDown
	Note		nA, 8
	cOctaveUp
	Note		nA, 8
	Note		nE, 8
	Note		nE, 8
	cReturn
	
Mus_0A_Death_Trk2b:
	cModulation	16, 1, 5, 12, -3	; PSG: 12/43, FM: 3/12
	Note		nEb, 1
	cTrkEndMusic

Mus_0A_Death_PSG3:
	cSetInstrument	1Ch, 00h
	
Mus_0A_Death_Trk3:	; 0080
	cSetVolume	0Eh, 0Eh
	cSetTranspose	84
	cModulation	1, 1, 250, 5, -3	; PSG: 1C4+03C=200, FM: 146-024=122
	Note		nRst, 16
	Note		nB, 8
	cChgVolume	-3, -1
	
	cModulation	36, 1, 1, +1, -1
	cChgTranspose	-24
	Note		nGs, 4
	Note		nGs, 8
	Note		nA, lExtra, 36
	cModulation	11, 1, 250, -2, +1	; PSG: 25C-078=1E4 (Fs->Bb), FM: 0F4+03C=130 (Fs->Bb)
	Note		nFs, lExtra, 60
	cModulation	16, 1, 4, +4, -2
	Note		nGs, 16
	Note		nRst, 16
	Note		nGs, 16
	Note		nRst, 16
	Note		nGs, 16
	Note		nRst, 16
	Note		nE, 16
	Note		nRst, 16
	
	cLoopStart	8
Mus_0A_Death_Trk3_Loop_00:	; 00BF
	Note		nD, 16
	Note		nRst, 16
	cVolumeDown
	cLoopEnd	Mus_0A_Death_Trk3_Loop_00
	
	cTrkEndMusic

Mus_0A_Death_Drums:	; 00C6
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	Note		nRst, 16
	
	cLoopStart	2
Mus_0A_Death_Drums_Loop1:
	Note		nBassDrm, 8	; 1:1/3:1
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	Note		nBassDrm, 16
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	cLoopJump	1, Mus_0A_Death_Drums_Loop1_Coda
	
	Note		nBassDrm, 8	; 2:1
	cChgVolume	+2, +1
	Note		nSnareDrm, 16
	cChgVolume	-2, -1
	Note		nBassDrm, 8
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
Mus_0A_Death_Drums_Loop1_Coda:
	cLoopEnd	Mus_0A_Death_Drums_Loop1
	
	cLoopStart	24
Mus_0A_Death_Drums_Loop_00:	; 0101
	Note		nSnareCym, 24
	cLoopEnd	Mus_0A_Death_Drums_Loop_00
	
	cTrkEndMusic
