; Boss Theme
; Finished: 04.08.2014

Music0B_P:
Mus_0B_Boss_PSG:
	StartSongMarker
	SongPtr		Mus_0B_Boss_PSG1
	SongPtr		Mus_0B_Boss_PSG2
	SongPtr		Mus_0B_Boss_PSG3
	SongPtr		Mus_0B_Boss_Drums
	dw		0000h

Music0B_F:
Mus_0B_Boss_FM:
	StartSongMarker
	SongPtr		Mus_0B_Boss_FM1
	SongPtr		Mus_0B_Boss_FM2
	SongPtr		Mus_0B_Boss_FM3
	SongPtr		Mus_0B_Boss_FM4
	SongPtr		Mus_0B_Boss_FM5
	SongPtr		Mus_0B_Boss_FM6
	SongPtr		Mus_0B_Boss_Drums

Music0D_P:
Mus_0B_Boss2_PSG:
	StartSongMarker
	SongPtr		Mus_0B_Boss_PSG1
	SongPtr		Mus_0B_Boss_PSG2
	SongPtr		Mus_0B_Boss_PSG3
	SongPtr		Mus_0B_Boss_Drums2
	dw		0000h

Music0D_F:
Mus_0B_Boss2_FM:
	StartSongMarker
	SongPtr		Mus_0B_Boss_FM1
	SongPtr		Mus_0B_Boss_FM2
	SongPtr		Mus_0B_Boss_FM3
	SongPtr		Mus_0B_Boss_FM4
	SongPtr		Mus_0B_Boss_FM5
	SongPtr		Mus_0B_Boss_FM6
	SongPtr		Mus_0B_Boss_Drums2

; S1_Boss.vgm values:
;	51 30 A0	-> 0F [can be max. 0E]
;	51 33 B3	-> 0C
;	51 31 60	-> 0F [Note: Make FM4, can be max. 0E]
;	51 34 F3	-> 0C [Note: Make FM2]
;	51 32 72	-> 0D
;	51 35 D3	-> 0C
Mus_0B_Boss_FM1:
	cTempo		4, 5	; Tick Mul, Tick Div
	cDummy		0FFh
	
	cLoopStart	0
	cSetInstrument	09h, 0Ah
	cSetVolume	0Dh, 0Eh
	
	cGoTo		Mus_0B_Boss_FM14_Main

Mus_0B_Boss_FM4:
	cLoopStart	0
	cSetInstrument	09h, 0Bh
	cSetVolume	0Dh, 0Bh
	
Mus_0B_Boss_FM14_Main:
	cGoSub		Mus_0B_Boss_Trk1_Main
	
	cLoopStart	2
Mus_0B_Boss_FM14_Loop3:	; 00D0
	cVolumeUp
	Note		nA, 16
	cVolumeDown
	Note		nRst, 16
	Note		nA, 16
	
	cGoSub		Mus_0B_Boss_Trk1_BridgeB
	cLoopEnd	Mus_0B_Boss_FM14_Loop3
	
	cTrkEndMusic

Mus_0B_Boss_FM2:
	cSetInstrument	1Eh, 0Fh
	cSetVolume	0Eh, 0Dh
	cSetTranspose	24
	
	cGoTo		Mus_0B_Boss_Trk2

Mus_0B_Boss_FM5:
	cSetInstrument	1Eh, 06h
	cSetVolume	0Eh, 0Ah
	cSetTranspose	36
	
	cGoTo		Mus_0B_Boss_Trk2

Mus_0B_Boss_FM3:
	cSetInstrument	0Ah, 07h
	cSetVolume	0Ah, 0Dh
	
	cGoTo		Mus_0B_Boss_Trk3

Mus_0B_Boss_FM6:
	cSetInstrument	0Ah, 0Dh
	cSetVolume	0Ah, 0Ch
	
	cGoTo		Mus_0B_Boss_Trk3

Mus_0B_Boss_PSG1:
Mus_0B_Boss_Trk1:	; 000A
	cTempo		4, 5	; Tick Mul, Tick Div
	cDummy		0FFh
	
	cLoopStart	0
	cSetInstrument	09h, 00h
	cSetVolume	0Dh, 0Eh
	
	cGoSub		Mus_0B_Boss_Trk1_Main
	
	cLoopStart	2
Mus_0B_Boss_Trk1_Loop3:	; 00D0
	cSetInstrument	09h, 00h
	cVolumeUp
	Note		nA, 16
	cVolumeDown
	Note		nRst, 16
	Note		nA, 16
	
	cSetInstrument	1Dh, 00h
	cGoSub		Mus_0B_Boss_Trk1_BridgeB
	cLoopEnd	Mus_0B_Boss_Trk1_Loop3
	
	cTrkEndMusic

Mus_0B_Boss_Trk1_Main:
	cSetTranspose	60
	cModulation	16, 1, 4, +7, -3
	Note		nRst, 8
	cLoopStart	2
Mus_0B_Boss_Trk1_Loop1:
	Note		nF, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nF, 16
	cChgVolume	+4, +2
	Note		nRst, 16
	Note		nF, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nF, 16
	cChgVolume	+4, +2
	Note		nD, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nD, 16
	cChgVolume	+4, +2
	Note		nF, 8
	Note		nD, 16
	Note		nC, 8
	Note		nD, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nD, 16
	cChgVolume	+4, +2
	cLoopJump	1, Mus_0B_Boss_Trk1_Loop1_Coda
	cOctaveDown
	Note		nA, 4
	cOctaveUp
	
	Note		nRst, 8
Mus_0B_Boss_Trk1_Loop1_Coda:
	cLoopEnd	Mus_0B_Boss_Trk1_Loop1
	Note		nA, 4
	
	Note		nRst, 8
	cLoopStart	2
Mus_0B_Boss_Trk1_Loop2:
	Note		nBb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nBb, 16
	cChgVolume	+4, +2
	Note		nRst, 16
	Note		nBb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nBb, 16
	cChgVolume	+4, +2
	Note		nG, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nG, 16
	cChgVolume	+4, +2
	Note		nBb, 8
	Note		nG, 16
	Note		nF, 8
	Note		nG, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nG, 16
	cChgVolume	+4, +2
	cLoopJump	1, Mus_0B_Boss_Trk1_Loop2_Coda
	Note		nD, 4
	
	Note		nRst, 8
Mus_0B_Boss_Trk1_Loop2_Coda:
	cLoopEnd	Mus_0B_Boss_Trk1_Loop2
	cOctaveUp
	Note		nD, 4
	cOctaveDown
	cReturn

Mus_0B_Boss_Trk1_BridgeB:
	cChgVolume	-5, -1
	cChgTranspose	-24+(nA-nC)
	
	cLoopStart	4
Mus_0B_Boss_Trk1_Loop31:	; Note: 36 Double-Ticks * 4/5 = 28.8 / 2 = 14.4 - 12 = 2.4, 22*2.5 = 55 = 37h
	cModulation	12, 1, 240, -22, +14	; PSG: 1FB-037=1C4 (A->B), FM: 123+023=146 (A->B)
	Note		nC, lExtra, 36
	cLoopJump	1, Mus_0B_Boss_Trk1_Loop31_Coda
	
	cModulation	12, 1, 240, +22, -11	; PSG: 1FB+037=232 (A->G), FM: 123-01C=107 (A->G)
	Note		nC1, lExtra, 36
Mus_0B_Boss_Trk1_Loop31_Coda:
	cLoopEnd	Mus_0B_Boss_Trk1_Loop31
	
	cChgTranspose	+24-(nA-nC)
	cChgVolume	+5, +1
	cReturn

Mus_0B_Boss_PSG2:
	cSetInstrument	1Eh, 00h
	cSetVolume	0Eh, 0Fh
	cSetTranspose	36
Mus_0B_Boss_Trk2:	; 0136
	cLoopStart	0
	
	cLoopStart	2
Mus_0B_Boss_Trk2_Loop1:	; 0140
	Note		nD, lExtra, 36
	Note		nD, lExtra, 36
	Note		nC, lExtra, 36
	cOctaveDown
	Note		nB, lExtra, 36
	Note		nBb, lExtra, 36
	Note		nB, lExtra, 36
	cOctaveUp
	Note		nC, lExtra, 36
	Note		nCs, lExtra, 36
	cLoopEnd	Mus_0B_Boss_Trk2_Loop1
	
	cLoopStart	2
Mus_0B_Boss_Trk2_Loop2:	; 0159
	Note		nG, lExtra, 36
	Note		nG, lExtra, 36
	Note		nFs, lExtra, 36
	Note		nF, lExtra, 36
	Note		nE, lExtra, 36
	Note		nF, lExtra, 36
	Note		nFs, lExtra, 36
	Note		nG, lExtra, 36
	cLoopEnd	Mus_0B_Boss_Trk2_Loop2
	
	cVolumeUp
	Note		nA, 8
	cVolumeDown
	Note		nA, 16
	cOctaveDown
	Note		nA, lExtra, 36
	Note		nA, lExtra, 36
	Note		nA, lExtra, 36
	Note		nA, lExtra, 36
	Note		nA, lExtra, 36
	Note		nA, lExtra, 36
	Note		nA, lExtra, 36
	
	cVolumeUp
	cOctaveUp
	Note		nA, 8
	cVolumeDown
	Note		nA, 16
	cOctaveDown
	Note		nA, lExtra, 36
	Note		nA, lExtra, 36
	Note		nA, lExtra, 36
	
	Note		nA, 8
	Note		nBb, 16
	Note		nRst, 8
	Note		nB, 16
	Note		nRst, 8
	cOctaveUp
	Note		nC, 16
	Note		nRst, 8
	Note		nCs, 16
	cTrkEndMusic

Mus_0B_Boss_PSG3:
	cSetInstrument	0Ah, 00h
	cSetVolume	0Ah, 0Ch
Mus_0B_Boss_Trk3:	; 0195
	cSetTranspose	60
	cDetune		+4, -1
	
	cLoopStart	0
	
	cLoopStart	2
Mus_0B_Boss_Trk3_Loop1:	; 01A4
	Note		nRst, 8
	Note		nD, 16
	
	cOctaveDown
	cLoopStart	3
Mus_0B_Boss_Trk3_Loop11:	; 01AA
	Note		nA, 16
	Note		nRst, 8
	cLoopEnd	Mus_0B_Boss_Trk3_Loop11
	
	Note		nA, 4
	Note		nHold, 8
	Note		nHold, lExtra, 72
	cOctaveUp
	cLoopEnd	Mus_0B_Boss_Trk3_Loop1
	
	cLoopStart	2
Mus_0B_Boss_Trk3_Loop2:	; 01BB
	Note		nRst, 8
	Note		nD, 16
	Note		nRst, lExtra, 36
	Note		nD, 16
	Note		nRst, 8
	Note		nD, 16
	Note		nRst, 8
	Note		nD, 8
	Note		nD, 16
	Note		nD, 8
	Note		nD, 16
	Note		nRst, 8
	Note		nD, 4
	cLoopEnd	Mus_0B_Boss_Trk3_Loop2
	
	cOctaveDown
	cVolumeUp
	Note		nA, 16
	Note		nRst, 16
	Note		nA, 16
	
	cOctaveDown
	cLoopStart	7
Mus_0B_Boss_Trk3_Loop3:	; 01D4
	Note		nA, 16
	Note		nRst, 8
	cLoopEnd	Mus_0B_Boss_Trk3_Loop3

	cOctaveUp
	Note		nA, 16
	Note		nRst, 16
	Note		nA, 16
	
	cOctaveDown
	cLoopStart	3
Mus_0B_Boss_Trk3_Loop4:	; 01E0
	Note		nA, 16
	Note		nRst, 8
	cLoopEnd	Mus_0B_Boss_Trk3_Loop4
	
	Note		nA, 8
	Note		nBb, 16
	Note		nRst, 8
	Note		nB, 16
	Note		nRst, 8
	cOctaveUp
	Note		nC, 16
	Note		nRst, 8
	Note		nCs, 16
	cVolumeDown
	cOctaveUp
	cTrkEndMusic

Mus_0B_Boss_Drums:	; 01F2
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	
	cLoopStart	0
	
	cLoopStart	15
Mus_0B_Boss_Drums_Loop1:	; 01F9
	;cSetVolume	09h, 0Dh
	cGoSub		Mus_0B_Boss_Drums_MainSub
	cLoopEnd	Mus_0B_Boss_Drums_Loop1
	
	cLoopStart	2
Mus_0B_Boss_Drums_Loop2:
	cGoSub		Mus_0B_Boss_Drums_MainSub
	cChgVolume	+3, +2
	Note		nSnareCym, 16
	Note		nRst, 16
	Note		nSnareCym, 16
	cChgVolume	-3, -2
	Note		nBassDrm, lExtra, 36
	Note		nBassDrm, lExtra, 36
	Note		nBassDrm, lExtra, 36
	
	cGoSub		Mus_0B_Boss_Drums_MainSub
	cLoopEnd	Mus_0B_Boss_Drums_Loop2
	
	cChgVolume	+2, +1
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	cChgVolume	-2, -1
	cTrkEndMusic

Mus_0B_Boss_Drums_MainSub:
	Note		nBassDrm, 16
	Note		nRst, 16
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	Note		nBassDrm, 16
	cReturn


Mus_0B_Boss_Drums2:
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	
	cLoopStart	0
	
	cLoopStart	4
Mus_0B_Boss_Drums2_Loop1:
	Note		nBassCym, lExtra, 36
	cLoopStart	4
Mus_0B_Boss_Drums2_Loop11:
	cChgVolume	+3, +2
	Note		nSnareCym, lExtra, 36
	cChgVolume	-3, -2
	cLoopJump	1, Mus_0B_Boss_Drums2_Loop11_Coda
	Note		nSnareCym, lExtra, 36
Mus_0B_Boss_Drums2_Loop11_Coda:
	cLoopEnd	Mus_0B_Boss_Drums2_Loop11
	cLoopEnd	Mus_0B_Boss_Drums2_Loop1
	
	cLoopStart	2
Mus_0B_Boss_Drums2_Loop2:
	cChgVolume	+3, +2
	Note		nSnareCym, lExtra, 36
	cChgVolume	-3, -2
	Note		nBassDrm, lExtra, 36
	Note		nBassCym, lExtra, 36
	Note		nBassDrm, lExtra, 36
	cLoopJump	1, Mus_0B_Boss_Drums2_Loop2_Coda
	
	Note		nBassCym, lExtra, 36
	cChgVolume	+2, +1
	Note		nSnareCym, lExtra, 36
	cChgVolume	-2, -1
	cGoSub		Mus_0B_Boss_Drums_MainSub
Mus_0B_Boss_Drums2_Loop2_Coda
	cLoopEnd	Mus_0B_Boss_Drums2_Loop2
	
	Note		nBassDrm, lExtra, 36
	Note		nSnareCym, lExtra, 36
	cChgVolume	+2, +1
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	;cChgVolume	+1, +1
	cVolumeUp
	Note		nSnareCym, 16
	Note		nSnareCym, 16
	Note		nSnareCym, 16
	cChgVolume	-3, -2
	cTrkEndMusic
