	; Note Names
	enum nRst=0, nC, nCs
	enum nDb=nCs, nD, nDs
	enum nEb=nDs, nE, nF, nFs
	enum nGb=nFs, nG, nGs
	enum nAb=nGs, nA, nAs
	enum nBb=nAs, nB, nC1, nHold, nExtra

	enum nBassDrm=1, nSnareDrm, nBassCym, nSnareCym

;Note macro nval, len, xnval, xnlen
Note macro nval, len, xnlen
addflags := (nval == nExtra)
  if len == lExtra
	db	(nval) | (0Dh << 4)
addflags := (addflags | 02h)
  else
lenlog := ld(len)
    if (int(lenlog) == lenlog) && (lenlog < 7)
	db	(nval) | ((0 + int(lenlog)) << 4)
    else
lenlog := ld(len / 3.0)
      if (int(lenlog) == lenlog) && (lenlog < 6)
	db	(nval) | ((7 + int(lenlog)) << 4)
      else
	fatal "Invalid Note Length: len"
      endif
    endif
  endif

;  if (addflags & 01h)
;	db	xnval
;  endif
  if (addflags & 02h)
	db	xnlen
  endif
    endm
	enum lExtra= -1

; --- Header Macros ---
StartSongMarker macro
songStart := $
    endm

SongPtr_func function loc, (loc - songStart)

SongPtr macro loc
	dw	SongPtr_func(loc)
    endm

SFXHeader macro ovrTrk, tickMul, tickDiv
	db	ovrTrk	; overridden Track
	dw	tickMul, tickDiv
	db	00h	; padding
    endm

; --- Commands ---
; E0 - set Tempo
cTempo macro tickMul, tickDiv
	db	0E0h
	dw	tickMul, tickDiv
    endm

; E1 - set Volume
cSetVolume macro volPSG, volFM
	db	0E1h, volPSG, volFM
    endm

; E2 - set Instrument
cSetInstrument macro insPSG, insFM
	db	0E2h, insPSG, (insFM << 0) | (insFM << 4)
	;db	0E2h, insPSG, insFM
    endm
cSetInstrumentA macro insPSG, insFM123, insFM456
	db	0E2h, insPSG, (insFM123 << 0) | (insFM456 << 4)
    endm

; E3 - set Modulation
cModulation macro delay, rate, period, deltaPSG, deltaFM
	db	0E3h, delay, rate, period
	dw	deltaPSG, deltaFM
    endm

; E4 - set Detune
cDetune macro detunePSG, detuneFM
	db	0E4h
	dw	detunePSG, detuneFM
    endm
cDrumVolume macro volBD, volSD, volTom, volCym, volHH
	db	0E4h, 00h
	db	(volBD & 0Fh) << 0
	db	((volHH & 0Fh) << 4) | ((volSD & 0Fh) << 0)
	db	((volTom & 0Fh) << 4) | ((volCym & 0Fh) << 0)
    endm

; E5 - Dummy
cDummy macro val
	db	0E5h, val
    endm

; E6 - Loop Start
cLoopStart macro loopcnt
	db	0E6h, loopcnt
    endm

; E7 - Loop End
cLoopEnd macro ptr
	db	0E7h
	dw	ptr - $
    endm

; E8 - Loop Jump
cLoopJump macro loopcnt, ptr
	db	0E8h, loopcnt
	dw	ptr - $
    endm

; E9 - set Noise Mode
cNoiseMode macro val
	db	0E9h, val
    endm

; EA - Hold Note
cHold macro
	db	0EAh
    endm

; EB - change Volume
cChgVolume macro volPSG, volFM
	db	0EBh, volPSG, volFM
    endm

; EC - Volume Up by 1
cVolumeUp macro
	db	0ECh
    endm

; ED - Volume Down by 1
cVolumeDown macro
	db	0EDh
    endm

; EE - set Transpose
cSetTranspose macro val
	db	0EEh, val
    endm

; EF - change Transpose
cChgTranspose macro val
	db	0EFh, val
    endm

; F0 - Octave Up
cOctaveUp macro
	db	0F0h
    endm

; F1 - Octave Down
cOctaveDown macro
	db	0F1h
    endm

cGoTo macro ptr
	db	0FBh
	dw	ptr - $
    endm

cGoSub macro ptr
	db	0FCh
	dw	ptr - $
    endm

cReturn macro
	db	0FDh
    endm

cTrkEndSFX macro
	db	0FEh
    endm

cTrkEndMusic macro
	db	0FFh
    endm

cTrkEnd macro
	db	0FFh
    endm
