; Marble Zone
; Finished: 03.08.2014

Music0x_P:
Mus_00b_MZ_PSG:
	StartSongMarker
	SongPtr		Mus_00b_MZ_PSG1
	SongPtr		Mus_00b_MZ_PSG2
	SongPtr		Mus_00b_MZ_PSG3
	SongPtr		Mus_00b_MZ_Drums
	dw		0000h

Music0x_F:
Mus_00b_MZ_FM:
	StartSongMarker
	SongPtr		Mus_00b_MZ_FM1
	SongPtr		Mus_00b_MZ_FM2
	SongPtr		Mus_00b_MZ_FM3
	SongPtr		Mus_00b_MZ_FM4
	SongPtr		Mus_00b_MZ_FM5
	SongPtr		Mus_00b_MZ_FM6
	SongPtr		Mus_00b_MZ_Drums

; S1_Marble.vgm values:
;	51 30 62/82	-> 0D
;	51 34 92/22	-> 0D
;	51 31 E0	-> 0F
;	51 33 10	-> 0F
;	51 32 73/C3/62	-> 0C
;	51 35 13/23/92	-> 0C
Mus_00b_MZ_FM1:
	cTempo		1, 1
	cDummy		0FFh
	
	cSetInstrumentA	03h, 06h, 0
	cSetVolume	0Ch-1, 0Dh-1
	cGoSub		Mus_00b_MZ_Trk13_IntroSub
	cVolumeUp
	
	cLoopStart	0
	cGoSub		Mus_00b_MZ_Trk1_MainSubA
	cSetInstrumentA	03h, 08h, 0
	cChgVolume	0, +1
	cGoSub		Mus_00b_MZ_Trk1_MainSubB
	cSetInstrumentA	03h, 06h, 0
	cChgVolume	0, -1
	cTrkEndMusic

Mus_00b_MZ_FM5:
	cSetInstrumentA	03h, 0, 09h
	cSetVolume	0Ch-1, 0Bh-1
	cGoSub		Mus_00b_MZ_Trk13_IntroSub
	cVolumeUp
	
	cLoopStart	0
	cGoSub		Mus_00b_MZ_Trk1_MainSubA
	cSetInstrumentA	03h, 0, 02h
	cGoSub		Mus_00b_MZ_Trk1_MainSubB
	cSetInstrumentA	03h, 0, 09h
	cTrkEndMusic

Mus_00b_MZ_FM2:
	cSetTranspose	12+12
	cGoTo		Mus_00b_MZ_Trk2

Mus_00b_MZ_FM4:
	cSetTranspose	24+12
	cGoTo		Mus_00b_MZ_Trk2

Mus_00b_MZ_FM3:
	cSetInstrumentA	05h, 07h, 0
	cSetVolume	0Ah, 0Ch
	cGoTo		Mus_00b_MZ_FM36_Main

Mus_00b_MZ_FM6:
	cSetInstrumentA	05h, 0, 01h
	cSetVolume	0Ah, 0Ah
Mus_00b_MZ_FM36_Main:
	cGoSub		Mus_00b_MZ_Trk3_Intro
	
	cLoopStart	0
	
	;cSetVolume	0Ah, 0Ch
	cLoopStart	2
Mus_00b_MZ_FM6_Loop1:
	Note		nRst, 8
	cSetInstrumentA	05h, 07h, 01h
	cGoSub		Mus_00b_MZ_Trk3_EchoA
	cSetInstrumentA	05h, 0Ch, 02h
	cGoSub		Mus_00b_MZ_Trk3_ArpB
	
	cSetInstrumentA	05h, 07h, 01h
	cLoopJump	1, Mus_00b_MZ_FM6_Loop1_Coda
	cGoSub		Mus_00b_MZ_Trk3_EchoC
	cSetInstrumentA	05h, 0Ch, 02h
	cGoSub		Mus_00b_MZ_Trk3_ArpD
Mus_00b_MZ_FM6_Loop1_Coda:
	cLoopEnd	Mus_00b_MZ_FM6_Loop1
	
	cGoSub		Mus_00b_MZ_Trk3_EchoG
	cSetInstrumentA	05h, 0Ch, 02h
	cGoSub		Mus_00b_MZ_Trk3_ArpH
	
	cGoSub		Mus_00b_MZ_Trk3_ArpI
	cSetInstrumentA	05h, 06h, 09h
	cGoSub		Mus_00b_MZ_Trk3_MelodyJ
	cTrkEndMusic


Mus_00b_MZ_PSG1:
Mus_00b_MZ_Trk1:	; 000A
	cTempo		1, 1
	cDummy		0FFh
	
	cSetInstrumentA	03h, 06h, 09h
	cSetVolume	0Ch-1, 0Dh-1
	cGoSub		Mus_00b_MZ_Trk13_IntroSub
	cVolumeUp
	
	cLoopStart	0
	cGoSub		Mus_00b_MZ_Trk1_MainSubA
	cGoSub		Mus_00b_MZ_Trk1_MainSubB
	cTrkEndMusic

Mus_00b_MZ_Trk13_IntroSub:
	cSetTranspose	36
Mus_00b_MZ_Trk13_IntroSub_JumpIn:
	Note		nA, 8
	Note		nB, 8
	cOctaveUp
	Note		nC, 8
	Note		nE, 8
	cReturn

Mus_00b_MZ_Trk1_MainSubA:
	cModulation	12, 1, 4, +6, -3
	
	cLoopStart	2
Mus_00b_MZ_Trk1_Loop1:
	cLoopStart	3
Mus_00b_MZ_Trk1_Loop11:	; 002D
	Note		nB, 4
	Note		nB, 8
	Note		nA, 8
	cLoopEnd	Mus_00b_MZ_Trk1_Loop11
	Note		nB, 8
	Note		nA, 8
	Note		nE, 8
	Note		nC, 8
	Note		nG, 4
	Note		nA, 8
	Note		nF, 2
	Note		nHold, 1
	Note		nRst, 8
	cLoopJump	1, Mus_00b_MZ_Trk1_Loop1_Coda
	
	cLoopStart	3
Mus_00b_MZ_Trk1_Loop12:	; 003F
	Note		nA, 4
	Note		nA, 8
	Note		nG, 8
	cLoopEnd	Mus_00b_MZ_Trk1_Loop12
	Note		nA, 4
	Note		nB, 4
	Note		nF, lExtra, 72
	Note		nE, 2
	Note		nHold, 2
	Note		nRst, 8
	
	cOctaveDown
	Note		nA, 8
	Note		nB, 8
	cOctaveUp
	Note		nC, 8
	Note		nE, 8
	
Mus_00b_MZ_Trk1_Loop1_Coda:
	cLoopEnd	Mus_00b_MZ_Trk1_Loop1
	
	Note		nA, 2
	Note		nHold, 4
	Note		nB, 4
	Note		nGs, 2
	Note		nHold, lExtra, 36
	Note		nRst, 16
	Note		nB, 8
	Note		nRst, 8
	Note		nB, lExtra, 72
	Note		nA, 8
	Note		nHold, 2
	Note		nHold, 1
	cReturn

Mus_00b_MZ_Trk1_MainSubB:
	cOctaveUp
	cLoopStart	2
Mus_00b_MZ_Trk1_Loop_03:	; 0075
	Note		nA, 8
	Note		nC1, 16
	Note		nA, 16
	Note		nC1, 8
	Note		nA, 8
	Note		nB, 8
	Note		nG, 8
	Note		nD, 8
	Note		nB, 8
	Note		nF, 8
	Note		nA, 16
	Note		nF, 16
	Note		nA, 8
	Note		nF, 8
	Note		nG, 8
	Note		nA, 8
	Note		nB, 8
	Note		nG, 8
	cLoopEnd	Mus_00b_MZ_Trk1_Loop_03
	cOctaveDown
	
	cReturn

Mus_00b_MZ_PSG2:
	cSetTranspose	24+12
Mus_00b_MZ_Trk2:	; 008D
	Note		nRst, 2
	cSetInstrumentA	04h, 0Eh, 01h
	cSetVolume	0Dh, 0Eh
	
	cLoopStart	0
	
	cLoopStart	2
Mus_00b_MZ_Trk2_Loop1:
	cGoSub		Mus_00b_MZ_Trk2_SubA
	
	cLoopStart	2
Mus_00b_MZ_Trk2_Loop12:	; 00AB
	Note		nD, 8
	Note		nD, 8
	Note		nA, 8
	Note		nA, 8
	Note		nF, 8
	Note		nF, 8
	Note		nA, 8
	Note		nA, 8
	cLoopEnd	Mus_00b_MZ_Trk2_Loop12
	
	cLoopJump	1, Mus_00b_MZ_Trk2_Loop1_Coda
	
	cLoopStart	2
Mus_00b_MZ_Trk2_Loop13:	; 00B8
	cOctaveDown
	Note		nB, 8
	Note		nB, 8
	cOctaveUp
	Note		nG, 8
	Note		nG, 8
	Note		nD, 8
	Note		nD, 8
	Note		nG, 8
	Note		nG, 8
	cLoopEnd	Mus_00b_MZ_Trk2_Loop13
	
	Note		nC, 8
	Note		nC, 8
	Note		nG, 8
	Note		nG, 8
	Note		nE, 8
	Note		nE, 8
	Note		nG, 8
	Note		nG, 8
	cOctaveDown
	Note		nB, 8
	Note		nB, 8
	cOctaveUp
	Note		nF, 8
	Note		nF, 8
	Note		nE, 8
	Note		nE, 8
	cOctaveDown
	Note		nB, 8
	Note		nB, 8
	cOctaveUp
	
Mus_00b_MZ_Trk2_Loop1_Coda:
	cLoopEnd	Mus_00b_MZ_Trk2_Loop1
	
	cOctaveDown
	Note		nB, 8
	Note		nB, 8
	cOctaveUp
	Note		nF, 8
	Note		nF, 8
	Note		nD, 8
	Note		nD, 8
	Note		nF, 8
	Note		nF, 8
	Note		nE, 8
	Note		nE, 8
	Note		nB, 8
	Note		nB, 8
	Note		nGs, 8
	Note		nGs, 8
	Note		nB, 8
	Note		nB, 8
	
	cGoSub		Mus_00b_MZ_Trk2_SubA
	
	cLoopStart	2
Mus_00b_MZ_Trk2_Loop3:	; 0118
	Note		nA, 8
	Note		nA, 8
	Note		nA, 8
	Note		nA, 8
	Note		nG, 8
	Note		nG, 8
	Note		nG, 8
	Note		nG, 8
	Note		nF, 8
	Note		nF, 8
	Note		nF, 8
	Note		nF, 8
	Note		nG, 8
	Note		nG, 8
	Note		nG, 8
	Note		nG, 8
	cLoopEnd	Mus_00b_MZ_Trk2_Loop3
	
	cTrkEndMusic

Mus_00b_MZ_Trk2_SubA:
	cLoopStart	2
Mus_00b_MZ_Trk2_SubA_Loop:	; 009B
	cOctaveDown
	Note		nA, 8
	Note		nA, 8
	cOctaveUp
	Note		nE, 8
	Note		nE, 8
	Note		nD, 8
	Note		nD, 8
	Note		nE, 8
	Note		nE, 8
	cLoopEnd	Mus_00b_MZ_Trk2_SubA_Loop
	cReturn

Mus_00b_MZ_PSG3:
	cSetInstrumentA	05h, 07h, 01h
	cSetVolume	0Ah, 0Ch
Mus_00b_MZ_Trk3:	; 012C
	cGoSub		Mus_00b_MZ_Trk3_Intro
	
	cLoopStart	0
	
	;cSetVolume	0Ah, 0Ch
	Note		nRst, 8
	cGoSub		Mus_00b_MZ_Trk3_EchoA
	cGoSub		Mus_00b_MZ_Trk3_ArpB
	cGoSub		Mus_00b_MZ_Trk3_EchoC
	cGoSub		Mus_00b_MZ_Trk3_ArpD
	
	Note		nRst, 8
	cGoSub		Mus_00b_MZ_Trk3_EchoA
	cGoSub		Mus_00b_MZ_Trk3_ArpB
	cGoSub		Mus_00b_MZ_Trk3_EchoG
	cGoSub		Mus_00b_MZ_Trk3_ArpH
	
	cGoSub		Mus_00b_MZ_Trk3_ArpI
	cGoSub		Mus_00b_MZ_Trk3_MelodyJ
	cTrkEndMusic

Mus_00b_MZ_Trk3_Intro:
	cDetune		+4, -2
	cGoSub		Mus_00b_MZ_Trk13_IntroSub
	cModulation	12, 1, 4, +6, -2
	cReturn

; --- Melody Echo ---
Mus_00b_MZ_Trk3_EchoA:
	cVolumeDown
	cDetune		+4, -2	; Note: missing in the original song
	cLoopStart	3
Mus_00b_MZ_Trk3_Loop_00:	; 014E
	Note		nB, 4
	Note		nB, 8
	Note		nA, 8
	cLoopEnd	Mus_00b_MZ_Trk3_Loop_00
	
	Note		nB, 8
	Note		nA, 8
	Note		nE, 8
	Note		nC, 8
	Note		nG, 4
	Note		nA, 8
	Note		nF, 8
	Note		nHold, lExtra, 72
	cVolumeUp
	cReturn

; --- Melody Echo ---
Mus_00b_MZ_Trk3_EchoC:
	cVolumeDown
	cDetune		+4, -2
	Note		nRst, 8
	cLoopStart	3
Mus_00b_MZ_Trk3_Loop_01:	; 01FC
	Note		nA, 4
	Note		nA, 8
	Note		nG, 8
	cLoopEnd	Mus_00b_MZ_Trk3_Loop_01
	
	Note		nA, 4
	Note		nB, 4
	Note		nF, lExtra, 72
	Note		nE, 8
	Note		nHold, 4
	cVolumeUp
	cReturn

; --- Melody Echo ---
Mus_00b_MZ_Trk3_EchoG:
	Note		nRst, 8
	cVolumeDown
	cDetune		+4, -2	; Note: missing in the original song
	Note		nA, 2
	Note		nHold, 4
	Note		nB, 4
	Note		nGs, 2
	Note		nHold, lExtra, 36
	Note		nRst, 16
	Note		nB, 8
	Note		nRst, 8
	Note		nB, lExtra, 72
	Note		nA, 8
	Note		nHold, 4
	cVolumeUp
	cReturn

; --- Main Melody ---
Mus_00b_MZ_Trk3_MelodyJ:
	cOctaveDown
	cGoSub		Mus_00b_MZ_Trk13_IntroSub_JumpIn
	cChgVolume	-2, -1
	cReturn

; --- Arpeggio ---
Mus_00b_MZ_Trk3_ArpB:
	cDetune		0, 0
	cChgTranspose	+24
	cChgVolume	0, +1
	Note		nF, 32
	cChgVolume	-3, -2
	Note		nF, 32
	cChgVolume	+3, +2
	Note		nD, 32
	cChgVolume	-3, -2
	Note		nF, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nA, 32
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nF, 32
	cChgVolume	-3, -2
	Note		nA, 32
	cChgVolume	+3, +2
	cOctaveUp
	Note		nD, 32
	cChgVolume	-3, -2
	cOctaveDown
	Note		nF, 32
	cChgVolume	+3, +2
	Note		nA, 32
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nF, 32
	cChgVolume	-3, -2
	Note		nA, 32
	cChgVolume	+3, +2
	Note		nD, 32
	cChgVolume	-3, -2
	Note		nF, 32
	cChgVolume	+3, +2
	Note		nA, 32
	cChgVolume	-3, -2
	Note		nD, 32
	cChgVolume	+3, +2
	Note		nF, 32
	cChgVolume	-3, -2
	Note		nA, 32
	cChgVolume	+3, +2
	Note		nD, 32
	cChgVolume	-3, -2
	Note		nF, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nA, 32
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 32
	cChgVolume	+3, +2
	Note		nF, 32
	cChgVolume	-3, -2
	cOctaveDown
	Note		nA, 32
	cChgVolume	+3, +2
	cOctaveUp
	Note		nD, 32
	cChgVolume	-3, -2
	Note		nF, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nA, 32
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 32
	cChgVolume	+3, +2
	cOctaveDown
	Note		nF, 32
	cChgVolume	-3, -2
	Note		nA, 32
	cChgVolume	+3, +1	; actually +3, +2, but makes up for the additional +1
	cReturn

; --- Arpeggio ---
Mus_00b_MZ_Trk3_ArpD:
	cDetune		0, 0
	cChgTranspose	+24
	cChgVolume	0, +1
	Note		nF, 8
	cChgVolume	-3, -2
	Note		nF, 8
	cChgVolume	+3, +2
	Note		nF, 16
	cChgVolume	-3, -2
	Note		nF, 16
	cChgVolume	+3, +2
	Note		nD, 8
	cChgVolume	-3, -2
	Note		nF, 8
	cChgVolume	+3, +2
	cOctaveDown
	Note		nB, 16
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 16
	cChgVolume	+3, +2
	cOctaveDown
	Note		nGs, lExtra, 72
	cOctaveDown
	cChgVolume	0, -1	; make up for the additional +1
	cReturn

; --- Arpeggio ---
Mus_00b_MZ_Trk3_ArpH:
	cDetune		0, 0	; Note: missing in the original song
	cChgTranspose	+24
	cChgVolume	0, +1
	Note		nE, 8
	cChgVolume	-3, -2
	cChgTranspose	-24
	Note		nA, 8
	cChgVolume	+3, +2
	cChgTranspose	+24
	Note		nE, 8
	Note		nD, 8
	cChgVolume	-3, -2
	Note		nE, 8
	cChgVolume	+3, +2
	Note		nC, 16
	cChgVolume	-3, -2
	Note		nE, 16
	cChgVolume	+3, +2
	cOctaveDown
	Note		nB, lExtra, 72
	cReturn

Mus_00b_MZ_Trk3_ArpI_Sub:
	cChgVolume	+3, +2
	Note		nC, 16
	cChgVolume	-3, -2
	Note		nE, 16
	cChgVolume	+3, +2
	
	cLoopStart	2
Mus_00b_MZ_Trk3_I_Loop1:	; 032B
	cOctaveDown
	Note		nA, 16
	cChgVolume	-3, -2
	cOctaveUp
	Note		nE, 16
	cVolumeDown
	cLoopEnd	Mus_00b_MZ_Trk3_I_Loop1
	cChgVolume	+8, +6
	;cSetVolume	0Bh, 0Dh
	
	Note		nD, 16		; 18:3/20:3
	cChgVolume	-3, -2
	cOctaveDown
	Note		nA, 16
	cChgVolume	+3, +2
	Note		nB, 16
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 16
	cChgVolume	+3, +2
	
	cLoopStart	2
Mus_00b_MZ_Trk3_I_Loop2:	; 034D
	cOctaveDown
	Note		nG, 16
	cChgVolume	-3, -2
	Note		nB, 16
	cVolumeDown
	cOctaveUp
	cLoopEnd	Mus_00b_MZ_Trk3_I_Loop2
	cChgVolume	+8, +6
	;cSetVolume	0Bh, 0Dh
	
	Note		nC, 16		; 19:1/21:1
	cChgVolume	-3, -2
	cOctaveDown
	Note		nG, 16
	cChgVolume	+3, +2
	Note		nA, 16
	cChgVolume	-3, -2
	Note		nC1, 16
	cChgVolume	+3, +2
	cReturn

Mus_00b_MZ_Trk3_ArpI:
	Note		nRst, 8
	cVolumeUp	; -> 0Bh, 0Dh
	Note		nE, 16		; 18:1
	cChgVolume	-3, -2
	Note		nE, 16
	cGoSub		Mus_00b_MZ_Trk3_ArpI_Sub
	
	cLoopStart	2
Mus_00b_MZ_Trk3_I_Loop3:	; 036E
	Note		nF, 16
	cChgVolume	-3, -2
	Note		nA, 16
	cVolumeDown
	cLoopEnd	Mus_00b_MZ_Trk3_I_Loop3
	cChgVolume	+8, +6
	;cSetVolume	0Bh, 0Dh
	
	cOctaveUp
	Note		nD, 16		; 19:3
	cChgVolume	-3, -2
	cOctaveDown
	Note		nA, 16
	cChgVolume	+3, +2
	Note		nB, 16
	cChgVolume	-3, -2
	cOctaveUp
	Note		nD, 16
	cChgVolume	+3, +2
	
	cLoopStart	2
Mus_00b_MZ_Trk3_I_Loop4:	; 038F
	cOctaveDown
	Note		nG, 16
	cChgVolume	-3, -2
	Note		nB, 16
	cVolumeDown
	cOctaveUp
	cLoopEnd	Mus_00b_MZ_Trk3_I_Loop4
	cChgVolume	+8, +6
	;cSetVolume	0Bh, 0Dh
	
	Note		nE, 16		; 20:1
	cChgVolume	-3, -2
	cOctaveDown
	Note		nG, 16
	cOctaveUp
	cGoSub		Mus_00b_MZ_Trk3_ArpI_Sub
	
	Note		nF, 16
	cChgVolume	-3, -2
	Note		nA, 16
	;cChgVolume	+3, +1	; actually +3, +2, but makes up for the additional +1
	;cChgVolume	+1, 0
	cChgVolume	+4, +1
	cReturn

Mus_00b_MZ_Drums:	; 0404
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	
	Note		nBassDrm, 8
	Note		nRst, 8
	Note		nBassDrm, 8
	Note		nRst, 8
	
	cLoopStart	0
	
	cLoopStart	32
Mus_00b_MZ_Drums_Loop1:	; 0411
	;cSetVolume	09h, 0Dh
	Note		nBassDrm, 8
	Note		nBassDrm, 8
	cChgVolume	+3, +2
	Note		nSnareDrm, 8
	cChgVolume	-3, -2
	Note		nBassDrm, 8
	cLoopEnd	Mus_00b_MZ_Drums_Loop1
	
	cChgVolume	+3, +2
	cLoopStart	8
Mus_00b_MZ_Drums_Loop2:	; 0423
	;cSetVolume	0Ch, 0Fh
	Note		nSnareDrm, 8
	cChgVolume	-3, -2
	Note		nBassDrm, 8
	Note		nBassDrm, 8
	cChgVolume	+3, +2
	Note		nSnareDrm, 8
	cLoopEnd	Mus_00b_MZ_Drums_Loop2
	cChgVolume	-3, -2
	
	cTrkEndMusic

