; Bridge Zone
; Finished: 25.07.2014

Music01_P:
Mus_01_BZ_PSG:
	StartSongMarker
	SongPtr		Mus_01_BZ_PSG1
	SongPtr		Mus_01_BZ_PSG2
	SongPtr		Mus_01_BZ_PSG3
	SongPtr		Mus_01_BZ_Drums
	dw		0000h

Music01_F:
Mus_01_BZ_FM:
	StartSongMarker
	SongPtr		Mus_01_BZ_FM1
	SongPtr		Mus_01_BZ_FM2
	SongPtr		Mus_01_BZ_FM3
	SongPtr		Mus_01_BZ_FM4
	SongPtr		Mus_01_BZ_FM5
	SongPtr		Mus_01_BZ_FM6
	SongPtr		Mus_01_BZ_Drums

; S1_Bridge.vgm values:
;	51 30 90	-> 0F
;	51 34 81	-> 0E
;	51 31 E0	-> 0F
;	51 33 52	-> 0D
;	51 32 13/C3	-> 0C
;	51 35 82/22	-> 0D
Mus_01_BZ_FM1:
	cSetInstrumentA	06h, 09h, 0
	cSetVolume	0Ch, 0Eh
	
	cGoTo		Mus_01_BZ_Trk1

Mus_01_BZ_FM5:
	cSetInstrumentA	06h, 0, 08h
	cSetVolume	0Ch, 0Dh
	
	cGoTo		Mus_01_BZ_Trk1

Mus_01_BZ_FM2:
	cSetInstrumentA	07h, 0Eh, 0
	cSetVolume	0Dh, 0Eh
	cSetTranspose	24
	
	cGoTo		Mus_01_BZ_Trk2

Mus_01_BZ_FM4:
	cSetInstrumentA	07h, 0, 05h
	cSetVolume	0Dh, 0Ch
	cSetTranspose	36
	
	cGoTo		Mus_01_BZ_Trk2

Mus_01_BZ_FM3:
	cSetVolume	08h, 0Bh
	cGoTo		Mus_01_BZ_FM36_Main

Mus_01_BZ_FM6:
	cSetVolume	08h, 0Ch
Mus_01_BZ_FM36_Main:
	cSetTranspose	60
	
	cLoopStart	0
	cSetInstrumentA	08h, 01h, 08h
	cGoSub		Mus_01_BZ_Trk3_A
	cSetInstrumentA	08h, 0Ch, 02h
	cGoSub		Mus_01_BZ_Trk3_B
	cTrkEndMusic

Mus_01_BZ_MelodyA_Sub:
	cLoopStart	2
Mus_01_BZ_MelodyA_Sub_Loop:
	Note		nA, 8
	Note		nRst, 8
	Note		nG, lExtra, 36
	Note		nC1, 16
	Note		nRst, 8		; 2:1/6:1
	Note		nF, 8
	Note		nRst, 8
	Note		nF, 8
	Note		nF, 8
	Note		nRst, 8
	Note		nE, lExtra, 36
	Note		nA, 16
	Note		nRst, 8
	Note		nD, 8
	Note		nRst, 8		; 3:1/7:1
	Note		nD, 8
	Note		nD, 8
	Note		nRst, 8
	Note		nC, lExtra, 36
	Note		nF, 16
	Note		nRst, 8
	cLoopJump	1, Mus_01_BZ_MelodyA_Sub_Loop_Coda
	
	Note		nBb, 8
	Note		nRst, 8		; 4:1
	Note		nA, 8
	Note		nG, 8
	Note		nF, 8
	Note		nF, 4
	Note		nG, 4
	Note		nRst, 4		; 5:1
Mus_01_BZ_MelodyA_Sub_Loop_Coda:
	cLoopEnd	Mus_01_BZ_MelodyA_Sub_Loop
	cReturn

Mus_01_BZ_PSG1:
	cSetInstrumentA	06h, 09h, 08h
	cSetVolume	0Ch, 0Dh
Mus_01_BZ_Trk1:	; 000A
	cTempo		1, 1
	cDummy		0FFh
	
	cSetTranspose	60
	cModulation	20, 1, 4, +5, -2
	
	cLoopStart	0
	Note		nRst, 4		; 1:1
	
	cGoSub		Mus_01_BZ_MelodyA_Sub
	Note		nG, 1		; 8:1
	Note		nRst, 8
	
	Note		nF, 2		; 9:1
	Note		nHold, 8
	Note		nF, 8
	Note		nG, 8
	Note		nGs, 8
	Note		nGs, lExtra, 72	; 10:1
	Note		nG, 2
	Note		nRst, 8
	Note		nGs, 2		; 11:1
	Note		nHold, 8
	Note		nGs, 8
	Note		nBb, 8
	Note		nC1, 8
	Note		nBb, 8		; 12:1
	cOctaveUp
	Note		nEb, 8
	cChgVolume	-4, -2
	cOctaveDown
	Note		nBb, 8
	cChgVolume	+4, +2
	Note		nBb, 8
	cChgVolume	-4, -2
	cOctaveUp
	Note		nEb, 8
	cChgVolume	+4, +2
	cOctaveDown
	Note		nG, 8
	cChgVolume	-4, -2
	Note		nBb, 8
	cChgVolume	+4, +2
	Note		nF, 8
	Note		nHold, 2	; 13:1
	Note		nRst, 8
	Note		nF, 8
	Note		nG, 8
	Note		nGs, 8
	Note		nG, 8		; 14:1
	Note		nBb, 8
	cChgVolume	-4, -2
	Note		nG, 8
	cChgVolume	+4, +2
	Note		nG, 8
	cChgVolume	-4, -2
	Note		nBb, 8
	cChgVolume	+4, +2
	Note		nEb, 8
	cChgVolume	-4, -2
	Note		nG, 8
	cChgVolume	+4, +2
	Note		nF, 1		; 15:1
	Note		nHold, 1
	Note		nRst, 8
	cTrkEndMusic

Mus_01_BZ_PSG2:
	cSetInstrumentA	07h, 0Eh, 05h
	cSetVolume	0Dh, 0Eh
	cSetTranspose	36
Mus_01_BZ_Trk2:	; 00AF
	cLoopStart	0
	
	cLoopStart	2
Mus_01_BZ_Trk2_Loop1:
	Note		nF, 8
	Note		nF, 8
	cOctaveUp
	Note		nF, 8
	cOctaveDown
	Note		nF, 8
	Note		nE, 8
	Note		nE, 8
	cOctaveUp
	Note		nE, 8
	cOctaveDown
	Note		nE, 8
	
	Note		nD, 8
	Note		nD, 8
	cOctaveUp
	Note		nD, 8
	cOctaveDown
	Note		nD, 8
	Note		nC, 8
	Note		nC, 8
	Note		nC1, 8
	Note		nC, 8
	
	cOctaveDown
	Note		nBb, 8
	Note		nBb, 8
	cOctaveUp
	Note		nBb, 8
	cOctaveDown
	Note		nBb, 8
	Note		nA, 8
	Note		nA, 8
	cOctaveUp
	Note		nA, 8
	cOctaveDown
	Note		nA, 8
	
	cLoopJump	1, Mus_01_BZ_Trk2_Loop1_Coda
	Note		nBb, 8
	Note		nBb, 8
	cOctaveUp
	Note		nBb, 8
	cOctaveDown
	Note		nBb, 8
	cOctaveUp
	Note		nC, 8
	Note		nC, 8
	Note		nC1, 8
	Note		nC, 8
Mus_01_BZ_Trk2_Loop1_Coda:
	cLoopEnd	Mus_01_BZ_Trk2_Loop1
	
	cOctaveUp
	Note		nEb, 8
	Note		nEb, 8
	cOctaveUp
	Note		nEb, 8
	cOctaveDown
	Note		nEb, 8
	Note		nC, 8
	Note		nC, 8
	Note		nC1, 8
	Note		nC, 8
	
	cLoopStart	3
Mus_01_BZ_Trk2_Loop2:	; 0119
	cLoopStart	2
Mus_01_BZ_Trk2_Loop21:	; 011B
	Note		nCs, 8
	Note		nCs, 8
	cOctaveUp
	Note		nCs, 8
	cOctaveDown
	Note		nCs, 8
	cLoopEnd	Mus_01_BZ_Trk2_Loop21
	
	cLoopStart	2
Mus_01_BZ_Trk2_Loop22:	; 0126
	Note		nEb, 8
	Note		nEb, 8
	cOctaveUp
	Note		nEb, 8
	cOctaveDown
	Note		nEb, 8
	cLoopEnd	Mus_01_BZ_Trk2_Loop22
	cLoopEnd	Mus_01_BZ_Trk2_Loop2
	
	cLoopStart	3
Mus_01_BZ_Trk2_Loop3:	; 0134
	Note		nF, 8
	Note		nF, 8
	cOctaveUp
	Note		nF, 8
	cOctaveDown
	Note		nF, 8
	cLoopEnd	Mus_01_BZ_Trk2_Loop3
	
	Note		nF, 8
	Note		nC, 8
	Note		nD, 8
	Note		nE, 8
	cTrkEndMusic

Mus_01_BZ_PSG3:
	cSetInstrumentA	08h, 01h, 08h
	cSetVolume	08h, 0Bh
	cSetTranspose	60
	
	cLoopStart	0
	cGoSub		Mus_01_BZ_Trk3_A
	cGoSub		Mus_01_BZ_Trk3_B
	cTrkEndMusic

Mus_01_BZ_Trk3_A:	; 0142
	cModulation	20, 1, 4, +5, -2
	cDetune		+4, -2
	Note		nRst, lExtra, 36
	
	Note		nRst, 4
	cGoSub		Mus_01_BZ_MelodyA_Sub
	
	Note		nG, 2
	Note		nHold, 4
	Note		nHold, lExtra, 36
	cReturn

Mus_01_BZ_Trk3_B:
	cDetune		0, 0
	cOctaveDown
	
	cLoopStart	2
Mus_01_BZ_Trk3_Loop1:	; 019F
	cLoopStart	2
Mus_01_BZ_Trk3_Loop11:	; 01A1
	Note		nCs, 32
	cChgVolume	-4, -2
	Note		nCs, 32
	cChgVolume	+4, +2
	cOctaveDown
	Note		nGs, 32
	cChgVolume	-4, -2
	cOctaveUp
	Note		nCs, 32
	cChgVolume	+4, +2
	Note		nCs, 32
	cChgVolume	-4, -2
	cOctaveDown
	Note		nGs, 32
	cChgVolume	+4, +2
	cOctaveUp
	Note		nF, 32
	cChgVolume	-4, -2
	Note		nCs, 32
	cChgVolume	+4, +2
	Note		nGs, 32
	cChgVolume	-4, -2
	Note		nF, 32
	cChgVolume	+4, +2
	Note		nF, 32
	cChgVolume	-4, -2
	Note		nGs, 32
	cChgVolume	+4, +2
	Note		nCs, 32
	cChgVolume	-4, -2
	Note		nF, 32
	cChgVolume	+4, +2
	cOctaveDown
	Note		nGs, 32
	cChgVolume	-4, -2
	cOctaveUp
	Note		nCs, 32
	cChgVolume	+4, +2
	cLoopEnd	Mus_01_BZ_Trk3_Loop11
	
	cLoopStart	2
Mus_01_BZ_Trk3_Loop12:	; 01EE
	Note		nEb, 32
	cChgVolume	-4, -2
	cOctaveDown
	Note		nBb, 32
	cChgVolume	+4, +2
	Note		nBb, 32
	cChgVolume	-4, -2
	cOctaveUp
	Note		nEb, 32
	cChgVolume	+4, +2
	Note		nEb, 32
	cChgVolume	-4, -2
	cOctaveDown
	Note		nBb, 32
	cChgVolume	+4, +2
	cOctaveUp
	Note		nG, 32
	cChgVolume	-4, -2
	Note		nEb, 32
	cChgVolume	+4, +2
	Note		nBb, 32
	cChgVolume	-4, -2
	Note		nG, 32
	cChgVolume	+4, +2
	Note		nG, 32
	cChgVolume	-4, -2
	Note		nBb, 32
	cChgVolume	+4, +2
	Note		nEb, 32
	cChgVolume	-4, -2
	Note		nG, 32
	cChgVolume	+4, +2
	cOctaveDown
	Note		nBb, 32
	cChgVolume	-4, -2
	cOctaveUp
	Note		nEb, 32
	cChgVolume	+4, +2
	cLoopEnd	Mus_01_BZ_Trk3_Loop12
	cLoopEnd	Mus_01_BZ_Trk3_Loop1
	
	cLoopStart	2
Mus_01_BZ_Trk3_Loop2:	; 023E
	Note		nF, 32
	cChgVolume	-4, -2
	Note		nCs, 32
	cChgVolume	+4, +2
	Note		nCs, 32
	cChgVolume	-4, -2
	Note		nF, 32
	cChgVolume	+4, +2
	Note		nF, 32
	cChgVolume	-4, -2
	Note		nCs, 32
	cChgVolume	+4, +2
	Note		nGs, 32
	cChgVolume	-4, -2
	Note		nF, 32
	cChgVolume	+4, +2
	cOctaveUp
	Note		nCs, 32
	cChgVolume	-4, -2
	cOctaveDown
	Note		nGs, 32
	cChgVolume	+4, +2
	Note		nGs, 32
	cChgVolume	-4, -2
	cOctaveUp
	Note		nCs, 32
	cChgVolume	+4, +2
	cOctaveDown
	Note		nF, 32
	cChgVolume	-4, -2
	Note		nGs, 32
	cChgVolume	+4, +2
	Note		nCs, 32
	cChgVolume	-4, -2
	Note		nF, 32
	cChgVolume	+4, +2
	cLoopEnd	Mus_01_BZ_Trk3_Loop2
	
	Note		nG, 32
	cChgVolume	-4, -2
	Note		nCs, 32
	cChgVolume	+4, +2
	Note		nEb, 32
	cChgVolume	-4, -2
	Note		nG, 32
	cChgVolume	+4, +2
	Note		nG, 32
	cChgVolume	-4, -2
	Note		nEb, 32
	cChgVolume	+4, +2
	Note		nBb, 32
	cChgVolume	-4, -2
	Note		nG, 32
	cChgVolume	+4, +2
	cOctaveUp
	Note		nEb, 32
	cChgVolume	-4, -2
	cOctaveDown
	Note		nBb, 32
	cChgVolume	+4, +2
	Note		nBb, 32
	cChgVolume	-4, -2
	cOctaveUp
	Note		nEb, 32
	cChgVolume	+4, +2
	cOctaveDown
	Note		nG, 32
	cChgVolume	-4, -2
	Note		nBb, 32
	cChgVolume	+4, +2
	Note		nEb, 32
	cChgVolume	-4, -2
	Note		nG, 32
	cChgVolume	+4, +2
	Note		nG, 32
	cChgVolume	-4, -2
	Note		nEb, 32
	cChgVolume	+4, +2
	Note		nEb, 32
	cChgVolume	-4, -2
	Note		nG, 32
	cChgVolume	+4, +2
	Note		nG, 32
	cChgVolume	-4, -2
	Note		nEb, 32
	cChgVolume	+4, +2
	Note		nBb, 32
	cChgVolume	-4, -2
	Note		nG, 32
	cChgVolume	+4, +2
	cOctaveUp
	Note		nEb, 32
	cChgVolume	-4, -2
	cOctaveDown
	Note		nBb, 32
	cChgVolume	+4, +2
	cOctaveUp
	Note		nG, 32
	cChgVolume	-4, -2
	Note		nEb, 32
	cChgVolume	+4, +2
	Note		nBb, 32
	cChgVolume	-4, -2
	Note		nG, 32
	cChgVolume	+4, +2
	Note		nG, 32
	cChgVolume	-4, -2
	Note		nBb, 32
	cChgVolume	+4, +2
	
	cLoopStart	4
Mus_01_BZ_Trk3_Loop3:	; 0311
	cOctaveDown
	Note		nA, 32
	cChgVolume	-4, -2
	cOctaveUp
	Note		nA, 32
	cChgVolume	+4, +2
	cOctaveDown
	Note		nF, 32
	cChgVolume	-4, -2
	Note		nA, 32
	cChgVolume	+4, +2
	Note		nA, 32
	cChgVolume	-4, -2
	Note		nF, 32
	cChgVolume	+4, +2
	Note		nC1, 32
	cChgVolume	-4, -2
	Note		nA, 32
	cChgVolume	+4, +2
	cOctaveUp
	Note		nF, 32
	cChgVolume	-4, -2
	Note		nC, 32
	cChgVolume	+4, +2
	Note		nC, 32
	cChgVolume	-4, -2
	Note		nF, 32
	cChgVolume	+4, +2
	Note		nF, 32
	cChgVolume	-4, -2
	Note		nC, 32
	cChgVolume	+4, +2
	Note		nA, 32
	cChgVolume	-4, -2
	Note		nF, 32
	cChgVolume	+4, +2
	cLoopEnd	Mus_01_BZ_Trk3_Loop3
	
	cReturn

Mus_01_BZ_Drums:	; 0359
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	
	cLoopStart	0
	
	cLoopStart	15
Mus_01_BZ_Drums_Loop:	; 035D
	Note		nBassDrm, 8
	Note		nBassDrm, 8
	cChgVolume	+3, +2
	Note		nSnareDrm, 8
	cChgVolume	-3, -2
	Note		nBassDrm, 8
	cLoopEnd	Mus_01_BZ_Drums_Loop
	
	;cSetVolume	09h, 0Bh
	Note		nBassDrm, 8
	Note		nBassDrm, 8
	cChgVolume	+3, +2
	Note		nSnareDrm, 8
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	cChgVolume	-3, -2
	cTrkEndMusic
