; Title Screen
; Finished: 23.07.2014

Music06_P:
Mus_06_Title_PSG:
	StartSongMarker
	SongPtr		Mus_06_Title_PSG1
	SongPtr		Mus_06_Title_PSG2
	SongPtr		Mus_06_Title_PSG3
	SongPtr		Mus_06_Title_Drums
	dw		0000h

Music06_F:
Mus_06_Title_FM:
	StartSongMarker
	SongPtr		Mus_06_Title_FM1
	SongPtr		Mus_06_Title_FM2
	SongPtr		Mus_06_Title_FM3
	SongPtr		Mus_06_Title_FM4
	SongPtr		Mus_06_Title_FM5
	SongPtr		Mus_06_Title_FM6
	SongPtr		Mus_06_Title_Drums

; S1_Title.vgm values:
;	51 30 50	-> 0F
;	51 33 70	-> 0F
;	51 31 E0	-> 0F
;	51 34 31	-> 0E
;	51 32 32	-> 0D
;	51 35 A1	-> 0E
;Mus_06_Title_FM1:
;	cSetInstrumentA	0Dh, 05h, 0
;	cSetVolume	0Eh, 0Eh
;	cGoSub		Mus_06_Title_Trk1a
;	cGoTo		Mus_06_Title_Trk1b

Mus_06_Title_FM1:
Mus_06_Title_FM4:
	cSetInstrumentA	0Dh, 05h, 07h
	cSetVolume	0Eh, 0Eh
	cGoSub		Mus_06_Title_Trk1a
	cGoTo		Mus_06_Title_Trk1b

Mus_06_Title_FM2:
	cSetInstrumentA	10h, 0Eh, 0
	cSetVolume	0Dh, 0Dh
	cSetTranspose	12
	
	cGoTo		Mus_06_Title_Trk2_FMab

Mus_06_Title_FM5:
	cSetInstrumentA	10h, 0, 03h
	cSetVolume	0Dh, 0Ch
	cSetTranspose	24

Mus_06_Title_Trk2_FMab:
	cGoSub		Mus_06_Title_Trk2a
	
	cOctaveDown
	Note		nA, 2
	cTrkEndMusic

Mus_06_Title_FM3:
	cSetInstrumentA	12h, 03h, 0
	cSetVolume	0Bh, 0Ch
	cGoTo		Mus_06_Title_Trk3_FMab

Mus_06_Title_FM6:
	cSetInstrumentA	12h, 0, 0Ah
	cSetVolume	0Bh, 0Dh

Mus_06_Title_Trk3_FMab:
	cGoSub		Mus_06_Title_Trk3a
	
	cChgTranspose	-24
	Note		nA, 2
	cTrkEndMusic

Mus_06_Title_PSG1:	; 000A
	cSetInstrumentA	0Eh, 05h, 07h
	cSetVolume	0Dh, 0Eh
	
	cGoSub		Mus_06_Title_Trk1a
	cSetInstrumentA	0Fh, 05h, 07h
	cGoTo		Mus_06_Title_Trk1b

Mus_06_Title_Trk1a:
	cTempo		5, 4
	cDummy		0FFh
	cSetTranspose	48
	;cModulation	1, 1, 250, +30, -7	; PSG: 2A5+0D2=377, FM: 0DA-034=0A6
	cModulation	1, 1, 250, +30, -10	; I think this sounds slightly better
	Note		nRst, 8		; 1/8 = 15 frames, 1/16 = 7 frames
	
	cLoopStart	3
Mus_06_Title_Trk1a_Loop:	; 0025
	Note		nE, 16
	Note		nRst, 16
	cLoopEnd	Mus_06_Title_Trk1a_Loop
	
	cReturn

Mus_06_Title_Trk1b:
	;cSetVolume	0Ch, 0Dh
	cChgVolume	-1, -1
	;cSetInstrumentA	0Fh, 00h, 05h, 07h
	cModulation	16, 1, 4, +6, -2
	Note		nRst, 8
	cOctaveUp
	Note		nCs, 4
	Note		nCs, 8
	Note		nD, lExtra, 36
	cModulation	16, 1, 250, -2, +2	; PSG: 1C4-076=14E (B->E), FM: 146+076=1BC (B->E)
	cOctaveDown
	Note		nB, lExtra, 60
	cModulation	16, 1, 4, +6, -2
	cOctaveUp
	Note		nCs, 16
	Note		nRst, 16
	Note		nCs, 16
	Note		nRst, 16
	Note		nCs, 16
	Note		nRst, 16
	cOctaveDown
	Note		nA, 16
	Note		nRst, 16
	Note		nG, lExtra, 36
	Note		nB, lExtra, 60
	Note		nA, 16
	Note		nRst, 16
	cOctaveUp
	Note		nCs, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nRst, 16
	Note		nE, 16
	Note		nRst, 8
	Note		nGs, lExtra, 36
	cLoopStart	4
	
Mus_06_Title_Trk1b_Loop:	; 006E
	Note		nA, 16
	Note		nRst, 16
	cChgVolume	-3, -2
	cLoopEnd	Mus_06_Title_Trk1b_Loop
	
	;cLoopStart	0
	;cSetVolume	00h, 00h
	;Note		nRst, 16
	cTrkEndMusic

Mus_06_Title_PSG2:	; 007D
	cSetInstrumentA	10h, 0Eh, 03h
	cSetVolume	0Dh, 0Eh
	cSetTranspose	24
	
	cGoSub		Mus_06_Title_Trk2a
	
Mus_06_Title_Trk2b:
	cSetInstrumentA	11h, 0Eh, 03h
	cOctaveDown
	Note		nA, 2
	
	;cLoopStart	0
	;cSetVolume	00h, 00h
	;Note		nRst, 8
	cTrkEndMusic

Mus_06_Title_Trk2a:
	Note		nRst, 2
	Note		nA, 8
	cOctaveUp
	Note		nA, 8
	Note		nE, 8
	Note		nE, 8
	Note		nG, 8
	Note		nG, 16
	Note		nFs, 8
	Note		nG, 16
	Note		nFs, 8
	cOctaveDown
	Note		nA, 8
	cOctaveUp
	Note		nA, 8
	Note		nE, 8
	Note		nE, 8
	Note		nD, 8
	Note		nD, 16
	Note		nCs, 8
	Note		nD, 16
	Note		nCs, 8
	cOctaveDown
	Note		nA, 8
	cOctaveUp
	Note		nA, 8
	Note		nE, 8
	Note		nCs, 8
	cOctaveDown
	Note		nA, 16
	cOctaveUp
	Note		nGs, lExtra, 36
	Note		nA, 8
	
	cReturn

Mus_06_Title_PSG3:	; 00B3
	cSetInstrumentA	12h, 03h, 0Ah
	cSetVolume	0Bh, 0Dh
	
	cGoSub		Mus_06_Title_Trk3a
	
Mus_06_Title_Trk3b:
	cSetInstrumentA	11h, 03h, 0Ah
	cChgTranspose	-24
	Note		nA, 2
	
	;cLoopStart	0
	;cSetVolume	00h, 00h
	;Note		nRst, 16
	cTrkEndMusic

Mus_06_Title_Trk3a:
	Note		nRst, 2
	cSetTranspose	48
	cModulation	16, 1, 4, +6, -2
	Note		nRst, 8
	Note		nA, 4
	Note		nA, 8
	Note		nB, lExtra, 36
	cModulation	16, 1, 250, -2, +1	; PSG: 23A-076=1C4 (G->B), FM: 103+03B=13E (G->A#)
	Note		nG, lExtra, 60
	cModulation	16, 1, 4, +6, -2
	Note		nA, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nRst, 16
	Note		nE, 16
	Note		nRst, 16
	Note		nD, lExtra, 36
	Note		nG, lExtra, 60
	Note		nCs, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nRst, 16
	cOctaveUp
	Note		nE, 16
	Note		nRst, 16
	cOctaveDown
	Note		nA, 16
	Note		nRst, 8
	cOctaveUp
	Note		nD, lExtra, 36
	Note		nCs, 16
	Note		nRst, 16
	
	cReturn

Mus_06_Title_Drums:	; 0103
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	Note		nBassDrm, 8
	Note		nSnareDrm, 8
	Note		nSnareDrm, 8
	Note		nSnareDrm, 8
	
	cLoopStart	3
Mus_06_Title_Drums_Loop:	; 010E
	cSetVolume	09h, 0Dh
	Note		nBassDrm, 8
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	Note		nBassDrm, 16
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	
	Note		nBassDrm, 8
	cChgVolume	+2, +1
	Note		nSnareDrm, 16
	cChgVolume	-2, -1
	Note		nBassDrm, 8
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cLoopEnd	Mus_06_Title_Drums_Loop
	
	;cLoopStart	0
	;cSetVolume	00h, 00h
	;Note		nRst, 8
	cTrkEndMusic

