; Invincibility
; Finished: 02.08.2014

Music08_P:
Mus_08_Invinc_PSG:
	StartSongMarker
	SongPtr		Mus_08_Invinc_PSG1
	SongPtr		Mus_08_Invinc_PSG2
	SongPtr		Mus_08_Invinc_PSG3
	SongPtr		Mus_08_Invinc_Drums
	dw		0000h

Music08_F:
Mus_08_Invinc_FM:
	StartSongMarker
	SongPtr		Mus_08_Invinc_FM1
	SongPtr		Mus_08_Invinc_FM2
	SongPtr		Mus_08_Invinc_FM3
	SongPtr		Mus_08_Invinc_FM4
	SongPtr		Mus_08_Invinc_FM5
	SongPtr		Mus_08_Invinc_FM6
	SongPtr		Mus_08_Invinc_Drums

; S1_Invinc.vgm values:
;	51 30 51/21	-> 0E
;	51 33 71/81	-> 0E
;	51 31 E0	-> 0F
;	51 34 31	-> 0E
;	51 32 53	-> 0C
;	51 35 A2	-> 0D
Mus_08_Invinc_FM1:
	cTempo		1, 1
	cDummy		0FFh
	
	cLoopStart	0
	
	cSetInstrument	00h, 05h
	cSetVolume	0Ch, 0Eh
	cGoSub		Mus_08_Invinc_Trk1_MainA
	
	cSetInstrument	14h, 02h
	cChgVolume	-2, -1
	cGoSub		Mus_08_Invinc_Trk1_MainB
	
	cTrkEndMusic

Mus_08_Invinc_FM4:
	cLoopStart	0
	
	cSetInstrument	00h, 07h
	cSetVolume	0Ch, 0Eh
	cGoSub		Mus_08_Invinc_Trk1_MainA
	
	cSetInstrument	14h, 08h
	cChgVolume	-2, -1
	cGoSub		Mus_08_Invinc_Trk1_MainB
	
	cTrkEndMusic

Mus_08_Invinc_FM2:
	cSetInstrument	15h, 0Eh
	cSetVolume	0Eh, 0Fh
	cSetTranspose	12
	
	cGoTo		Mus_08_Invinc_Trk2

Mus_08_Invinc_FM5:
	cSetInstrument	15h, 03h
	cSetVolume	0Eh, 0Eh
	cSetTranspose	24
	
	cGoTo		Mus_08_Invinc_Trk2

Mus_08_Invinc_FM3:
	cSetInstrument	16h, 05h
	cSetVolume	0Ah, 0Ch
	
	cGoTo		Mus_08_Invinc_Trk3

Mus_08_Invinc_FM6:
	cSetInstrument	16h, 0Ah
	cSetVolume	0Ah, 0Dh
	
	cGoTo		Mus_08_Invinc_Trk3

Mus_08_Invinc_PSG1:
Mus_08_Invinc_Trk1:	; 000A
	cTempo		1, 1
	cDummy		0FFh
	
	cLoopStart	0
	
	cSetInstrument	00h, 00h
	cSetVolume	0Ch, 0Dh
	cGoSub		Mus_08_Invinc_Trk1_MainA
	
	cSetInstrument	14h, 00h
	cChgVolume	-2, -2
	cGoSub		Mus_08_Invinc_Trk1_MainB
	
	cTrkEndMusic
	
Mus_08_Invinc_Trk1_MainA:
	cSetTranspose	60
	cLoopStart	2
Mus_08_Invinc_Trk1_Loop1:	; 0015
	cModulation	16, 1, 4, +6, -2
	Note		nRst, 8
	Note		nEb, 4
	Note		nEb, 8
	Note		nE, lExtra, 36
	cModulation	16, 1, 250, -2, +1	; PSG: 326-01C=30A (C#->D), FM: 0B7+00E=0C5 (C#->D)
	Note		nCs, lExtra, 60
	cModulation	16, 1, 4, +6, -2
	Note		nEb, 16
	Note		nRst, 16
	Note		nEb, 16
	Note		nRst, 16
	Note		nEb, 16
	Note		nRst, 16
	cOctaveDown
	Note		nB, 16
	Note		nRst, 16
	Note		nA, lExtra, 36
	cOctaveUp
	Note		nCs, lExtra, 60
	cLoopEnd	Mus_08_Invinc_Trk1_Loop1
	
	cChgTranspose	-24
	; current volume: 0Ch, 0Dh -> I assume this SHOULD be 0Dh, 0Eh
	cVolumeUp
	cLoopStart	2
Mus_08_Invinc_Trk1_Loop2:	; 004F
	Note		nRst, 16
	Note		nA, lExtra, 36
	Note		nB, 16
	Note		nRst, 16
	;cSetVolume	07h, 0Ah
	cChgVolume	-6, -4
	Note		nB, 16
	Note		nRst, 16
	;cSetVolume	0Dh, 0Eh
	cChgVolume	+6, +4
	cLoopEnd	Mus_08_Invinc_Trk1_Loop2
	cVolumeDown
	cChgTranspose	+24
	cReturn
	
Mus_08_Invinc_Trk1_MainB:
	;cVolumeDown	; 0C - done by caller (for slightly optimized FM output)
	;cVolumeDown	; 0B
	cOctaveDown
	Note		nB, 24
	cOctaveUp
	Note		nCs, 24
	Note		nEb, 24
	Note		nE, 24
	Note		nFs, 24
	Note		nGs, 24
	Note		nEb, 24
	Note		nE, 24
	Note		nFs, 24
	Note		nGs, 24
	Note		nA, 24
	Note		nB, 24
	Note		nE, 24
	Note		nFs, 24
	Note		nGs, 24
	Note		nA, 24
	Note		nB, 24
	cOctaveUp
	Note		nCs, 24
	cVolumeUp	; 0C
	cOctaveDown
	Note		nFs, 24
	Note		nGs, 24
	Note		nBb, 24
	Note		nB, 24
	cOctaveUp
	Note		nCs, 24
	Note		nEb, 24
	cReturn

Mus_08_Invinc_PSG2:
	cSetInstrument	15h, 00h
	cSetVolume	0Eh, 0Fh
	cSetTranspose	24
Mus_08_Invinc_Trk2:	; 0087
	cLoopStart	0
	
	cLoopStart	2
Mus_08_Invinc_Trk2_Loop1:	; 0091
	Note		nB, 8
	cOctaveUp
	Note		nB, 8
	Note		nFs, 8
	Note		nFs, 8
	Note		nA, 8
	Note		nA, 16
	Note		nGs, 8
	Note		nA, 16
	Note		nGs, 8
	cOctaveDown
	Note		nB, 8
	cOctaveUp
	Note		nB, 8
	Note		nFs, 8
	Note		nFs, 8
	Note		nE, 8
	Note		nE, 16
	Note		nEb, 8
	Note		nE, 16
	Note		nEb, 8
	cOctaveDown
	cLoopEnd	Mus_08_Invinc_Trk2_Loop1
	
	cLoopStart	2
Mus_08_Invinc_Trk2_Loop2:	; 00AD
	Note		nA, 16
	Note		nA, lExtra, 36
	Note		nB, 8
	Note		nB, 8
	cLoopEnd	Mus_08_Invinc_Trk2_Loop2
	
	Note		nA, 16
	cOctaveUp
	Note		nCs, lExtra, 36
	Note		nEb, 8
	Note		nF, 8
	Note		nCs, 24
	Note		nEb, 24
	Note		nE, 24
	Note		nFs, 24
	Note		nGs, 24
	Note		nA, 24
	Note		nEb, 24
	Note		nE, 24
	Note		nFs, 24
	Note		nGs, 24
	Note		nA, 24
	Note		nC1, 24
	cOctaveDown
	cTrkEndMusic

Mus_08_Invinc_PSG3:
	cSetInstrument	16h, 00h
	cSetVolume	0Ah, 0Ch
Mus_08_Invinc_Trk3:	; 00CB
	cLoopStart	0
	
	cLoopStart	2
Mus_08_Invinc_Trk3_Loop1:	; 00D2
	cModulation	16, 1, 4, +6, -2
	cSetTranspose	48
	Note		nRst, 8
	Note		nB, 4
	Note		nB, 8
	cOctaveUp
	Note		nCs, lExtra, 36
	cModulation	16, 1, 250, -2, +1	; PSG: 1FB-01C=1DF (A->A#), FM: 123+00E=131 (A->A#)
	cOctaveDown
	Note		nA, lExtra, 60
	cModulation	16, 1, 4, +6, -2
	Note		nB, 16
	Note		nRst, 16
	Note		nB, 16
	Note		nRst, 16
	Note		nB, 16
	Note		nRst, 16
	Note		nFs, 16
	Note		nRst, 16
	Note		nE, lExtra, 36
	Note		nA, lExtra, 60
	cLoopEnd	Mus_08_Invinc_Trk3_Loop1
	
	; current volume: 0Ah, 0Ch -> I assume this SHOULD be 0Bh, 0Dh
	cVolumeUp
	cLoopStart	4
Mus_08_Invinc_Trk3_Loop2:	; 0109
	Note		nRst, 16
	Note		nCs, lExtra, 36
	Note		nEb, 16
	Note		nRst, 16
	;cSetVolume	06h, 09h
	cChgVolume	-5, -4
	Note		nEb, 16
	Note		nRst, 16
	;cSetVolume	0Bh, 0Dh
	cChgVolume	+5, +4
	cLoopEnd	Mus_08_Invinc_Trk3_Loop2
	cVolumeDown
	
	cTrkEndMusic

Mus_08_Invinc_Drums:	; 011A
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	
	cLoopStart	0
	
	cLoopStart	4
Mus_08_Invinc_Drums_Loop1:	; 011E
	Note		nBassDrm, 8
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	Note		nBassDrm, 16
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	Note		nBassDrm, 8
	cChgVolume	+2, +1
	Note		nSnareDrm, 16
	cChgVolume	-2, -1
	Note		nBassDrm, 8
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	cLoopEnd	Mus_08_Invinc_Drums_Loop1
	
	cLoopStart	4
Mus_08_Invinc_Drums_Loop_01:	; 0147
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	Note		nBassDrm, 16
	cChgVolume	+3, +2
	Note		nSnareDrm, 8
	cChgVolume	-3, -2
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 16
	cChgVolume	-2, -1
	cLoopEnd	Mus_08_Invinc_Drums_Loop_01
	
	cTrkEndMusic
