; Boss Theme
; Finished: 04.08.2014

Music0B_P:
Mus_0B_Boss_PSG:
	StartSongMarker
	SongPtr		Mus_0B_Boss_PSG1
	SongPtr		Mus_0B_Boss_PSG2
	SongPtr		Mus_0B_Boss_PSG3
	SongPtr		Mus_0B_Boss_Drums
	dw		0000h

Music0B_F:
Mus_0B_Boss_FM:
	StartSongMarker
	SongPtr		Mus_0B_Boss_FM1
	SongPtr		Mus_0B_Boss_FM2
	SongPtr		Mus_0B_Boss_FM3
	SongPtr		Mus_0B_Boss_FM4
	SongPtr		Mus_0B_Boss_FM5
	SongPtr		Mus_0B_Boss_FM6
	SongPtr		Mus_0B_Boss_Drums

Music0D_P:
Mus_0B_Boss2_PSG:
	StartSongMarker
	SongPtr		Mus_0B_Boss_PSG1
	SongPtr		Mus_0B_Boss_PSG2
	SongPtr		Mus_0B_Boss_PSG3
	SongPtr		Mus_0B_Boss_Drums2
	dw		0000h

Music0D_F:
Mus_0B_Boss2_FM:
	StartSongMarker
	SongPtr		Mus_0B_Boss_FM1b
	SongPtr		Mus_0B_Boss_FM2b
	SongPtr		Mus_0B_Boss_FM3
	SongPtr		Mus_0B_Boss_FM4
	SongPtr		Mus_0B_Boss_FM5b
	SongPtr		Mus_0B_Boss_FM6
	SongPtr		Mus_0B_Boss_Drums2

; S1_Boss.vgm values:
;	51 30 A0	-> 0F [can be max. 0E]
;	51 33 B3	-> 0C
;	51 31 60	-> 0F [Note: Make FM4, can be max. 0E]
;	51 34 F3	-> 0C [Note: Make FM2]
;	51 32 72	-> 0D
;	51 35 D3	-> 0C
Mus_0B_Boss_FM1:
	cTempo		6, 5	; Tick Mul, Tick Div
	cDummy		0FFh
	
	cLoopStart	0
	cSetInstrumentA	09h, 0Ah, 0
	cSetVolume	0Dh, 0Eh
	
	cGoTo		Mus_0B_Boss_FM14_Main

Mus_0B_Boss_FM1b:
	cTempo		6, 5	; Tick Mul, Tick Div
	cDummy		0FFh
	
	cLoopStart	0
	cSetInstrumentA	09h, 05h, 0
	cSetVolume	0Dh, 0Eh
	
	cGoTo		Mus_0B_Boss_FM14_Main

Mus_0B_Boss_FM4:
	cLoopStart	0
	cSetInstrumentA	09h, 0, 0Bh
	cSetVolume	0Dh, 0Bh
	
Mus_0B_Boss_FM14_Main:
	cGoSub		Mus_0B_Boss_Trk1_Main
	
	cLoopStart	2
Mus_0B_Boss_FM14_Loop3:	; 00D0
	cVolumeUp
	Note		nA, 24
	cVolumeDown
	Note		nRst, 24
	Note		nA, 24
	
	cGoSub		Mus_0B_Boss_Trk1_BridgeB
	cLoopEnd	Mus_0B_Boss_FM14_Loop3
	
	cTrkEndMusic

Mus_0B_Boss_FM2:
	cSetInstrumentA	1Eh, 0Fh, 0
	cSetVolume	0Eh, 0Dh
	cSetTranspose	24
	
	cGoTo		Mus_0B_Boss_Trk2

Mus_0B_Boss_FM2b:
	cSetInstrumentA	1Eh, 0Fh, 0
	cSetVolume	0Eh, 0Eh
	cSetTranspose	24
	
	cGoTo		Mus_0B_Boss_Trk2

Mus_0B_Boss_FM5:
	cSetInstrumentA	1Eh, 0, 06h
	cSetVolume	0Eh, 0Ah
	cSetTranspose	36
	
	cGoTo		Mus_0B_Boss_Trk2

Mus_0B_Boss_FM5b:
	cSetInstrumentA	1Eh, 0, 06h
	cSetVolume	0Eh, 0Bh
	cSetTranspose	36
	
	cGoTo		Mus_0B_Boss_Trk2

Mus_0B_Boss_FM3:
	cSetInstrumentA	0Ah, 07h, 0
	cSetVolume	0Ah, 0Dh
	
	cGoTo		Mus_0B_Boss_Trk3

Mus_0B_Boss_FM6:
	cSetInstrumentA	0Ah, 0, 0Dh
	cSetVolume	0Ah, 0Ch
	
	cGoTo		Mus_0B_Boss_Trk3

Mus_0B_Boss_PSG1:
Mus_0B_Boss_Trk1:	; 000A
	cTempo		6, 5	; Tick Mul, Tick Div
	cDummy		0FFh
	
	cLoopStart	0
	cSetInstrumentA	09h, 0Ah, 0Bh
	cSetVolume	0Dh, 0Eh
	
	cGoSub		Mus_0B_Boss_Trk1_Main
	
	cLoopStart	2
Mus_0B_Boss_Trk1_Loop3:	; 00D0
	cSetInstrumentA	09h, 0Ah, 0Bh
	cVolumeUp
	Note		nA, 24
	cVolumeDown
	Note		nRst, 24
	Note		nA, 24
	
	cSetInstrumentA	1Dh, 0Ah, 0Bh
	cGoSub		Mus_0B_Boss_Trk1_BridgeB
	cLoopEnd	Mus_0B_Boss_Trk1_Loop3
	
	cTrkEndMusic

Mus_0B_Boss_Trk1_Main:
	cSetTranspose	60
	cModulation	16, 1, 4, +7, -3
	Note		nRst, 12
	cLoopStart	2
Mus_0B_Boss_Trk1_Loop1:
	Note		nF, 24
	Note		nRst, 24
	cChgVolume	-4, -2
	Note		nF, 24
	cChgVolume	+4, +2
	Note		nRst, 24
	Note		nF, 24
	Note		nRst, 24
	cChgVolume	-4, -2
	Note		nF, 24
	cChgVolume	+4, +2
	Note		nD, 24
	Note		nRst, 24
	cChgVolume	-4, -2
	Note		nD, 24
	cChgVolume	+4, +2
	Note		nF, 12
	Note		nD, 24
	Note		nC, 12
	Note		nD, 24
	Note		nRst, 24
	cChgVolume	-4, -2
	Note		nD, 24
	cChgVolume	+4, +2
	cLoopJump	1, Mus_0B_Boss_Trk1_Loop1_Coda
	cOctaveDown
	Note		nA, 6
	cOctaveUp
	
	Note		nRst, 12
Mus_0B_Boss_Trk1_Loop1_Coda:
	cLoopEnd	Mus_0B_Boss_Trk1_Loop1
	Note		nA, 6
	
	Note		nRst, 12
	cLoopStart	2
Mus_0B_Boss_Trk1_Loop2:
	Note		nBb, 24
	Note		nRst, 24
	cChgVolume	-4, -2
	Note		nBb, 24
	cChgVolume	+4, +2
	Note		nRst, 24
	Note		nBb, 24
	Note		nRst, 24
	cChgVolume	-4, -2
	Note		nBb, 24
	cChgVolume	+4, +2
	Note		nG, 24
	Note		nRst, 24
	cChgVolume	-4, -2
	Note		nG, 24
	cChgVolume	+4, +2
	Note		nBb, 12
	Note		nG, 24
	Note		nF, 12
	Note		nG, 24
	Note		nRst, 24
	cChgVolume	-4, -2
	Note		nG, 24
	cChgVolume	+4, +2
	cLoopJump	1, Mus_0B_Boss_Trk1_Loop2_Coda
	Note		nD, 6
	
	Note		nRst, 12
Mus_0B_Boss_Trk1_Loop2_Coda:
	cLoopEnd	Mus_0B_Boss_Trk1_Loop2
	cOctaveUp
	Note		nD, 6
	cOctaveDown
	cReturn

Mus_0B_Boss_Trk1_BridgeB:
	cChgVolume	-5, -1
	cChgTranspose	-24+(nA-nC)
	
	cLoopStart	4
Mus_0B_Boss_Trk1_Loop31:	; Note: 36 Double-Ticks * 4/5 = 28.8 / 2 = 14.4 - 12 = 2.4, 22*2.5 = 55 = 37h
	cModulation	12, 1, 240, -22, +14	; PSG: 1FB-037=1C4 (A->B), FM: 123+023=146 (A->B)
	Note		nC, 8
	cLoopJump	1, Mus_0B_Boss_Trk1_Loop31_Coda
	
	cModulation	12, 1, 240, +22, -11	; PSG: 1FB+037=232 (A->G), FM: 123-01C=107 (A->G)
	Note		nC1, 8
Mus_0B_Boss_Trk1_Loop31_Coda:
	cLoopEnd	Mus_0B_Boss_Trk1_Loop31
	
	cChgTranspose	+24-(nA-nC)
	cChgVolume	+5, +1
	cReturn

Mus_0B_Boss_PSG2:
	cSetInstrumentA	1Eh, 0Fh, 06h
	cSetVolume	0Eh, 0Fh
	cSetTranspose	36
Mus_0B_Boss_Trk2:	; 0136
	cLoopStart	0
	
	cLoopStart	2
Mus_0B_Boss_Trk2_Loop1:	; 0140
	Note		nD, 8
	Note		nD, 8
	Note		nC, 8
	cOctaveDown
	Note		nB, 8
	Note		nBb, 8
	Note		nB, 8
	cOctaveUp
	Note		nC, 8
	Note		nCs, 8
	cLoopEnd	Mus_0B_Boss_Trk2_Loop1
	
	cLoopStart	2
Mus_0B_Boss_Trk2_Loop2:	; 0159
	Note		nG, 8
	Note		nG, 8
	Note		nFs, 8
	Note		nF, 8
	Note		nE, 8
	Note		nF, 8
	Note		nFs, 8
	Note		nG, 8
	cLoopEnd	Mus_0B_Boss_Trk2_Loop2
	
	cVolumeUp
	Note		nA, 12
	cVolumeDown
	Note		nA, 24
	cOctaveDown
	Note		nA, 8
	Note		nA, 8
	Note		nA, 8
	Note		nA, 8
	Note		nA, 8
	Note		nA, 8
	Note		nA, 8
	
	cVolumeUp
	cOctaveUp
	Note		nA, 12
	cVolumeDown
	Note		nA, 24
	cOctaveDown
	Note		nA, 8
	Note		nA, 8
	Note		nA, 8
	
	Note		nA, 12
	Note		nBb, 24
	Note		nRst, 12
	Note		nB, 24
	Note		nRst, 12
	cOctaveUp
	Note		nC, 24
	Note		nRst, 12
	Note		nCs, 24
	cTrkEndMusic

Mus_0B_Boss_PSG3:
	cSetInstrumentA	0Ah, 07h, 0Dh
	cSetVolume	0Ah, 0Ch
Mus_0B_Boss_Trk3:	; 0195
	cSetTranspose	60
	cDetune		+4, -1
	
	cLoopStart	0
	
	cLoopStart	2
Mus_0B_Boss_Trk3_Loop1:	; 01A4
	Note		nRst, 12
	Note		nD, 24
	
	cOctaveDown
	cLoopStart	3
Mus_0B_Boss_Trk3_Loop11:	; 01AA
	Note		nA, 24
	Note		nRst, 12
	cLoopEnd	Mus_0B_Boss_Trk3_Loop11
	
	Note		nA, 6
	Note		nHold, 12
	Note		nHold, 4
	cOctaveUp
	cLoopEnd	Mus_0B_Boss_Trk3_Loop1
	
	cLoopStart	2
Mus_0B_Boss_Trk3_Loop2:	; 01BB
	Note		nRst, 12
	Note		nD, 24
	Note		nRst, 8
	Note		nD, 24
	Note		nRst, 12
	Note		nD, 24
	Note		nRst, 12
	Note		nD, 12
	Note		nD, 24
	Note		nD, 12
	Note		nD, 24
	Note		nRst, 12
	Note		nD, 6
	cLoopEnd	Mus_0B_Boss_Trk3_Loop2
	
	cOctaveDown
	cVolumeUp
	Note		nA, 24
	Note		nRst, 24
	Note		nA, 24
	
	cOctaveDown
	cLoopStart	7
Mus_0B_Boss_Trk3_Loop3:	; 01D4
	Note		nA, 24
	Note		nRst, 12
	cLoopEnd	Mus_0B_Boss_Trk3_Loop3

	cOctaveUp
	Note		nA, 24
	Note		nRst, 24
	Note		nA, 24
	
	cOctaveDown
	cLoopStart	3
Mus_0B_Boss_Trk3_Loop4:	; 01E0
	Note		nA, 24
	Note		nRst, 12
	cLoopEnd	Mus_0B_Boss_Trk3_Loop4
	
	Note		nA, 12
	Note		nBb, 24
	Note		nRst, 12
	Note		nB, 24
	Note		nRst, 12
	cOctaveUp
	Note		nC, 24
	Note		nRst, 12
	Note		nCs, 24
	cVolumeDown
	cOctaveUp
	cTrkEndMusic

Mus_0B_Boss_Drums:	; 01F2
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	
	cLoopStart	0
	
	cLoopStart	15
Mus_0B_Boss_Drums_Loop1:	; 01F9
	;cSetVolume	09h, 0Dh
	cGoSub		Mus_0B_Boss_Drums_MainSub
	cLoopEnd	Mus_0B_Boss_Drums_Loop1
	
	cLoopStart	2
Mus_0B_Boss_Drums_Loop2:
	cGoSub		Mus_0B_Boss_Drums_MainSub
	cChgVolume	+3, +2
	Note		nSnareCym, 24
	Note		nRst, 24
	Note		nSnareCym, 24
	cChgVolume	-3, -2
	Note		nBassDrm, 8
	Note		nBassDrm, 8
	Note		nBassDrm, 8
	
	cGoSub		Mus_0B_Boss_Drums_MainSub
	cLoopEnd	Mus_0B_Boss_Drums_Loop2
	
	cChgVolume	+2, +1
	Note		nSnareDrm, 24
	Note		nSnareDrm, 24
	Note		nSnareDrm, 24
	Note		nSnareDrm, 24
	Note		nSnareDrm, 24
	Note		nSnareDrm, 24
	cChgVolume	-2, -1
	cTrkEndMusic

Mus_0B_Boss_Drums_MainSub:
	Note		nBassDrm, 24
	Note		nRst, 24
	Note		nBassDrm, 24
	cChgVolume	+2, +1
	Note		nSnareDrm, 12
	cChgVolume	-2, -1
	Note		nBassDrm, 24
	cReturn


Mus_0B_Boss_Drums2:
	cSetTranspose	80h
	; default values: BD 0F, SD 0F, Tom 0E, Cym 0D, HH 0C
	cDrumVolume	0Fh, 0Fh, 0Eh, 0Dh, 0Ch
	cSetVolume	0Ah, 0Ch
	
	cLoopStart	0
	
	cLoopStart	4
Mus_0B_Boss_Drums2_Loop1:
	Note		nBassCym, 8
	cLoopStart	4
Mus_0B_Boss_Drums2_Loop11:
	cChgVolume	+3, +3
	Note		nSnareCym, 8
	cChgVolume	-3, -3
	cLoopJump	1, Mus_0B_Boss_Drums2_Loop11_Coda
	Note		nSnareCym, 8
Mus_0B_Boss_Drums2_Loop11_Coda:
	cLoopEnd	Mus_0B_Boss_Drums2_Loop11
	cLoopEnd	Mus_0B_Boss_Drums2_Loop1
	
	cLoopStart	2
Mus_0B_Boss_Drums2_Loop2:
	cChgVolume	+3, +2
	Note		nSnareCym, 8
	cChgVolume	-3, -2
	Note		nBassDrm, 8
	Note		nBassCym, 8
	Note		nBassDrm, 8
	cLoopJump	1, Mus_0B_Boss_Drums2_Loop2_Coda
	
	Note		nBassCym, 8
	cChgVolume	+2, +1
	Note		nSnareCym, 8
	cChgVolume	-2, -1
	cGoSub		Mus_0B_Boss_Drums_MainSub
Mus_0B_Boss_Drums2_Loop2_Coda
	cLoopEnd	Mus_0B_Boss_Drums2_Loop2
	
	Note		nBassDrm, 8
	Note		nSnareCym, 8
	cChgVolume	+2, +1
	Note		nSnareDrm, 24
	Note		nSnareDrm, 24
	Note		nSnareDrm, 24
	;cChgVolume	+1, +1
	cVolumeUp
	Note		nSnareCym, 24
	Note		nSnareCym, 24
	Note		nSnareCym, 24
	cChgVolume	-3, -2
	cTrkEndMusic
