; Ending
; Finished: 03.08.2014

Music0E_P:
Mus_0E_Ending_PSG:
	StartSongMarker
	SongPtr		Mus_0E_Ending_PSG1
	SongPtr		Mus_0E_Ending_PSG2
	SongPtr		Mus_0E_Ending_PSG3
	SongPtr		Mus_0E_Ending_Drums
	dw		0000h

Music0E_F:
Mus_0E_Ending_FM:
	StartSongMarker
	SongPtr		Mus_0E_Ending_FM1
	SongPtr		Mus_0E_Ending_FM2
	SongPtr		Mus_0E_Ending_FM3
	SongPtr		Mus_0E_Ending_FM4
	SongPtr		Mus_0E_Ending_FM5
	SongPtr		Mus_0E_Ending_FM6
	SongPtr		Mus_0E_Ending_Drums

; S1_Ending.vgm values:
;	51 30 50	-> 0F
;	51 33 20/10/90	-> 0F (-> use 90/10/90)
;	51 31 E0	-> 0F
;	51 34 33	-> 0C
;	51 32 C2/62	-> 0D
;	51 35 D5/42/A5	-> 0A/0D

Mus_0E_Ending_FM1:
	cTempo		2, 1
	cDummy		0FFh
	
	Note		nRst, 2
	
	cSetInstrumentA	09h, 05h, 0
	cSetVolume	0Dh, 0Eh
	cGoTo		Mus_0E_Ending_Trk1

Mus_0E_Ending_FM4:
	Note		nRst, 2
	
	cSetInstrumentA	09h, 0, 09h
	cSetVolume	0Dh, 0Eh
	cGoSub		Mus_0E_Ending_Trk1_SubA1
	cSetInstrumentA	09h, 0, 01h
	cGoSub		Mus_0E_Ending_Trk1_SubB
	cSetInstrumentA	09h, 0, 09h
	cGoTo		Mus_0E_Ending_Trk1_SubC

Mus_0E_Ending_FM2:
	Note		nRst, 2
	cSetInstrumentA	0Dh, 0Eh, 0
	cSetVolume	0Eh, 0Fh
	cSetTranspose	12+12
	
	cGoTo		Mus_0E_Ending_Trk2

Mus_0E_Ending_FM5:
	Note		nRst, 2
	cSetInstrumentA	0Dh, 0, 03h
	cSetVolume	0Eh, 0Ch
	cSetTranspose	24+12
	
	cGoTo		Mus_0E_Ending_Trk2

Mus_0E_Ending_FM3:
	Note		nRst, 2
	cDetune		+4, -2
	cSetInstrumentA	0Ah, 0Ch, 0
	cSetVolume	0Bh, 0Dh
	
	cGoSub		Mus_0E_Ending_Trk3_SubA
	cGoSub		Mus_0E_Ending_Trk3_SubB
	cGoSub		Mus_0E_Ending_Trk3_SubC
	cSetInstrumentA	0Ah, 06h, 0
	cGoTo		Mus_0E_Ending_Trk3_SubD

Mus_0E_Ending_FM6:
	Note		nRst, 2
	cDetune		+4, -2
	
	cSetInstrumentA	0Ah, 0, 0Dh
	cSetVolume	0Bh, 0Ah
	cGoSub		Mus_0E_Ending_Trk3_SubA
	cSetInstrumentA	0Ah, 0, 04h
	cChgVolume	0, +3
	cGoSub		Mus_0E_Ending_Trk3_SubB
	cSetInstrumentA	0Ah, 0, 0Dh
	cChgVolume	0, -3
	cGoSub		Mus_0E_Ending_Trk3_SubC
	cSetInstrumentA	0Ah, 0, 0Ah
	cGoTo		Mus_0E_Ending_Trk3_SubD

Mus_0E_Ending_PSG1:
	cTempo		2, 1
	cDummy		0FFh
	
	Note		nRst, 2
	
	cSetInstrumentA	09h, 05h, 09h
	cSetVolume	0Dh, 0Eh
Mus_0E_Ending_Trk1:	; 000A
	cGoSub		Mus_0E_Ending_Trk1_SubA
	cGoSub		Mus_0E_Ending_Trk1_SubB
	cGoTo		Mus_0E_Ending_Trk1_SubC

Mus_0E_Ending_Trk1_SubA:
	cModulation	16, 1, 4, +7, -3
Mus_0E_Ending_Trk1_SubA1:
	cSetTranspose	60
	
	cGoSub		Mus_0E_Ending_Trk1_MainSub
	
	Note		nA, 16
	Note		nHold, 2
	cOctaveDown
	Note		nRst, 4
	cReturn

Mus_0E_Ending_Trk1_SubB:
	Note		nC1, 16
	Note		nA, 8
	Note		nC1, 16
	Note		nB, 8
	Note		nC1, 16
	Note		nB, 8
	Note		nG, lExtra, 36
	Note		nRst, lExtra, 36
	Note		nA, 16
	cOctaveUp
	Note		nE, 16
	Note		nD, 8
	Note		nC, 16
	cOctaveDown
	Note		nB, 8
	Note		nC1, 16
	Note		nB, 8
	Note		nG, lExtra, 36
	Note		nRst, 4
	Note		nC1, 16
	Note		nA, 8
	Note		nC1, 16
	Note		nB, 8
	Note		nC1, 16
	Note		nB, 8
	Note		nG, lExtra, 36
	Note		nRst, lExtra, 36
	Note		nA, 16
	Note		nA, 16
	Note		nF, 8
	Note		nA, 16
	Note		nG, 8
	Note		nA, 16
	Note		nG, 8
	Note		nC, 8
	Note		nE, 16
	Note		nD, 2
	Note		nHold, lExtra, 60
	Note		nC, 16
	Note		nD, 16
	Note		nE, 8
	Note		nHold, lExtra, 144
	Note		nC, 16
	Note		nA, 16
	Note		nEb, lExtra, 144
	Note		nHold, 8
	Note		nC, 16
	Note		nEb, 16
	Note		nD, 2
	Note		nE, 4
	cReturn
	
Mus_0E_Ending_Trk1_SubC:
	Note		nB, 8
	cOctaveUp
	Note		nCs, 16
	Note		nD, 16
	Note		nE, 16
	
	cGoSub		Mus_0E_Ending_Trk1_MainSub
	Note		nA, 8
	Note		nA, 16
	Note		nFs, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nB, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nHold, 1
	Note		nHold, 1
	Note		nRst, 1
	Note		nRst, 16
	Note		nD, 16
	Note		nRst, 8
	Note		nD, 16
	Note		nRst, 16
	Note		nD, 16
	Note		nCs, 16
	Note		nHold, lExtra, 108
	Note		nHold, 2
	
	;cSetVolume	00h, 00h
	;cLoopStart	0
	;Note		nRst, 16
	cTrkEndMusic

Mus_0E_Ending_Trk1_MainSub:
	cLoopStart	4
Mus_0E_Ending_Trk1_Loop1:	; 0022
	Note		nCs, 16
	Note		nRst, 16
	cOctaveDown
	Note		nA, 8
	Note		nHold, lExtra, 72
	Note		nRst, 16
	cOctaveUp
	Note		nD, 16
	Note		nRst, 16
	Note		nD, 16
	Note		nD, 16
	Note		nE, 16
	Note		nCs, 16
	Note		nRst, 16
	cOctaveDown
	cLoopJump	1, Mus_0E_Ending_Trk1_Loop1_Coda
	Note		nA, 8
	Note		nHold, lExtra, 72
	Note		nRst, 16
	Note		nFs, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nA, 16
	Note		nB, 16
	cOctaveUp
Mus_0E_Ending_Trk1_Loop1_Coda:
	cLoopEnd	Mus_0E_Ending_Trk1_Loop1
	Note		nA, lExtra, 60
	cOctaveUp
	cReturn

Mus_0E_Ending_PSG2:
	Note		nRst, 2
	cSetInstrumentA	0Dh, 0Eh, 03h
	cSetVolume	0Eh, 0Fh
	cSetTranspose	24+12
	
Mus_0E_Ending_Trk2:	; 00E8
	cLoopStart	8
Mus_0E_Ending_Trk2_Loop1:	; 00F1
	cGoSub		Mus_0E_Ending_Trk2_MainSub
	cLoopEnd	Mus_0E_Ending_Trk2_Loop1
	
	cLoopStart	4
Mus_0E_Ending_Trk2_Loop2:	; 010C
	Note		nF, 16
	Note		nF, 16
	Note		nC1, 16
	Note		nF, 8
	Note		nF, 16
	Note		nC, 16
	Note		nF, 16
	Note		nE, 16
	Note		nE, 16
	Note		nC1, 16
	Note		nE, 8
	Note		nC, 16
	Note		nD, 16
	Note		nE, 16
	cLoopEnd	Mus_0E_Ending_Trk2_Loop2

	cOctaveDown
	Note		nBb, 8
	Note		nBb, 16
	Note		nA, 8
	Note		nA, 16
	Note		nBb, 8
	Note		nBb, 16
	cOctaveUp
	Note		nC, 8
	Note		nC, 16
	Note		nD, 8
	Note		nE, 8
	cOctaveDown
	Note		nA, 8
	Note		nA, 16
	Note		nB, 8
	Note		nB, 16
	cOctaveUp
	Note		nC, 8
	Note		nC, 16
	Note		nD, 8
	Note		nD, 16
	Note		nE, 8
	Note		nC, 8
	Note		nGs, 8
	Note		nGs, 16
	Note		nG, 8
	Note		nG, 16
	Note		nF, 8
	Note		nF, 16
	Note		nEb, 8
	Note		nEb, 16
	Note		nD, 8
	Note		nC, 8
	Note		nG, 8
	Note		nG, 16
	Note		nD, 8
	Note		nD, 16
	Note		nG, 8
	Note		nG, 16
	cChgVolume	-4, -4
	Note		nE, 16
	Note		nE, 16
	cVolumeUp
	Note		nE, 16
	cVolumeUp
	Note		nE, 16
	cVolumeUp
	Note		nE, 16
	cVolumeUp
	Note		nE, 16
	Note		nE, 16
	
	cLoopStart	11
Mus_0E_Ending_Trk2_Loop3:	; 0156
	cGoSub		Mus_0E_Ending_Trk2_MainSub
	cLoopEnd	Mus_0E_Ending_Trk2_Loop3

	Note		nF, 16
	Note		nF, 16
	cOctaveUp
	Note		nF, 16
	cOctaveDown
	Note		nF, 16
	Note		nG, 16
	cOctaveUp
	Note		nG, 16
	cOctaveDown
	Note		nG, 16
	Note		nA, 8
	Note		nE, 8
	Note		nCs, 16
	cSetInstrumentA	1Fh, 0Eh, 03h
	cOctaveDown
	Note		nA, 2
	Note		nHold, 4
	
	;cSetVolume	00h, 00h
	;cLoopStart	0
	;Note		nRst, 16
	cTrkEndMusic

Mus_0E_Ending_Trk2_MainSub:
	cOctaveDown
	Note		nA, 8
	Note		nA, 8
	cOctaveUp
	Note		nCs, 16
	cOctaveUp
	Note		nCs, 16
	cOctaveDown
	Note		nCs, 16
	Note		nD, 8
	Note		nD, 16
	cOctaveUp
	Note		nD, 16
	cOctaveDown
	Note		nD, 16
	Note		nE, 16
	Note		nE, 16
	cOctaveUp
	Note		nE, 16
	cOctaveDown
	Note		nE, 16
	cReturn

Mus_0E_Ending_PSG3:
	Note		nRst, 2
	cDetune		+4, -2
	cSetInstrumentA	0Ah, 0Ch, 0Dh
	cSetVolume	0Bh, 0Dh
	
Mus_0E_Ending_Trk3:	; 0189
	cGoSub		Mus_0E_Ending_Trk3_SubA
	cGoSub		Mus_0E_Ending_Trk3_SubB
	cGoSub		Mus_0E_Ending_Trk3_SubC
	cGoTo		Mus_0E_Ending_Trk3_SubD

Mus_0E_Ending_Trk3_SubA:
	cSetTranspose	72
	
	cLoopStart	32
Mus_0E_Ending_Trk3_Loop1:	; 0194
	cGoSub		Mus_0E_Ending_Trk3_MainSub
	cLoopEnd	Mus_0E_Ending_Trk3_Loop1
	cReturn

Mus_0E_Ending_Trk3_SubB:
	cChgTranspose	-24
	cLoopStart	4
Mus_0E_Ending_Trk3_Loop2:	; 01BE
	Note		nA, 16
	Note		nF, 16
	Note		nC, 16
	cOctaveDown
	Note		nA, 16
	Note		nA, 16
	Note		nC1, 16
	cOctaveUp
	Note		nF, 16
	Note		nA, 16
	cLoopJump	1, Mus_0E_Ending_Trk3_Loop2_Coda
	Note		nG, 16
	Note		nE, 16
	Note		nC, 16
	cOctaveDown
	Note		nG, 16
	Note		nG, 16
	Note		nC1, 16
	cOctaveUp
	Note		nE, 16
	Note		nG, 16
Mus_0E_Ending_Trk3_Loop2_Coda:
	cLoopEnd	Mus_0E_Ending_Trk3_Loop2
	
	Note		nC, 16
	Note		nE, 16
	Note		nG, 16
	Note		nB, 16
	Note		nC1, 16
	cOctaveUp
	Note		nE, 16
	Note		nG, 16
	Note		nB, 16
	cOctaveDown
	Note		nBb, 16
	cOctaveUp
	Note		nD, 16
	Note		nF, 16
	Note		nA, 16
	Note		nBb, 16
	cOctaveUp
	Note		nD, 16
	Note		nF, 16
	Note		nA, 16
	Note		nBb, 16
	Note		nA, 16
	Note		nF, 16
	Note		nD, 16
	cOctaveDown
	Note		nBb, 16
	Note		nA, 16
	Note		nF, 16
	Note		nD, 16
	cOctaveDown
	cOctaveDown
	Note		nA, 16
	Note		nB, 16
	Note		nC1, 16
	cOctaveUp
	Note		nE, 16
	Note		nA, 16
	Note		nB, 16
	Note		nC1, 16
	cOctaveUp
	Note		nE, 16
	Note		nA, 16
	Note		nE, 16
	Note		nC, 16
	cOctaveDown
	Note		nB, 16
	Note		nA, 16
	Note		nE, 16
	Note		nC, 16
	cOctaveDown
	Note		nB, 16
	Note		nGs, 16
	Note		nBb, 16
	Note		nC1, 16
	cOctaveUp
	Note		nEb, 16
	Note		nGs, 16
	Note		nBb, 16
	Note		nC1, 16
	cOctaveUp
	Note		nEb, 16
	Note		nGs, 16
	Note		nBb, 16
	Note		nC1, 16
	cOctaveUp
	Note		nEb, 16
	Note		nGs, 16
	Note		nEb, 16
	Note		nC, 16
	cOctaveDown
	Note		nG, 16
	cOctaveDown
	cOctaveDown
	Note		nG, 16
	Note		nA, 16
	Note		nB, 16
	cOctaveUp
	Note		nD, 16
	Note		nG, 16
	Note		nA, 16
	Note		nB, 16
	Note		nG, 16
	Note		nE, 16
	cOctaveDown
	Note		nGs, 16
	Note		nA, 16
	Note		nB, 16
	cOctaveUp
	Note		nCs, 16
	Note		nD, 16
	Note		nE, 16
	Note		nFs, 16
	cReturn

Mus_0E_Ending_Trk3_SubC:
	cChgTranspose	+24
	;cSetVolume	0Bh, 0Dh
	cLoopStart	44
Mus_0E_Ending_Trk3_Loop3:	; 0243
	cGoSub		Mus_0E_Ending_Trk3_MainSub
	cLoopEnd	Mus_0E_Ending_Trk3_Loop3
	cChgTranspose	-24
	Note		nRst, 16
	cReturn

Mus_0E_Ending_Trk3_SubD:
	;cSetVolume	0Bh, 0Dh
	Note		nA, 16
	Note		nRst, 8
	Note		nA, 16
	Note		nRst, 16
	Note		nA, 16
	Note		nE, lExtra, 108
	Note		nHold, 2
	
	;cSetVolume	00h, 00h
	;cLoopStart	0
	;Note		nRst, 16
	cTrkEndMusic

Mus_0E_Ending_Trk3_MainSub:
	Note		nA, 32
	cChgVolume	-4, -2
	Note		nE, 32
	cChgVolume	+4, +2
	Note		nGs, 32
	cChgVolume	-4, -2
	Note		nA, 32
	cChgVolume	+4, +2
	Note		nFs, 32
	cChgVolume	-4, -2
	Note		nGs, 32
	cChgVolume	+4, +2
	Note		nE, 32
	cChgVolume	-4, -2
	Note		nFs, 32
	cChgVolume	+4, +2
	cReturn

Mus_0E_Ending_Drums:	; 027D
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	Note		nBassDrm, 8
	Note		nBassDrm, 8
	Note		nBassDrm, 8
	Note		nBassDrm, 8
	
	cLoopStart	7
Mus_0E_Ending_Drums_Loop1:	; 0288
	cLoopStart	15
Mus_0E_Ending_Drums_Loop11:	; 028A
	Note		nBassDrm, 16
	Note		nBassDrm, 16
	cSetVolume	0Dh, 0Fh
	Note		nSnareDrm, 16
	cChgVolume	-4, -2
	Note		nBassDrm, 16
	cLoopEnd	Mus_0E_Ending_Drums_Loop11
	cLoopJump	1, Mus_0E_Ending_Drums_Loop1_Coda
	
	Note		nBassDrm, 16
	cChgVolume	+4, +2
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	;cChgVolume	-4, -2	; not present in original song - enable to fix the bug
Mus_0E_Ending_Drums_Loop1_Coda:
	cLoopEnd	Mus_0E_Ending_Drums_Loop1
	
	Note		nBassCym, 4
	;cSetVolume	00h, 00h
	;cLoopStart	0
	;Note		nRst, 16
	cTrkEndMusic
