; Labyrinth Zone
; Finished: 30.07.2014

Music03_P:
Mus_03_LZ_PSG:
	StartSongMarker
	SongPtr		Mus_03_LZ_PSG1
	SongPtr		Mus_03_LZ_PSG2
	SongPtr		Mus_03_LZ_PSG3
	SongPtr		Mus_03_LZ_Drums
	dw		0000h

Music03_F:
Mus_03_LZ_FM:
	StartSongMarker
	SongPtr		Mus_03_LZ_FM1
	SongPtr		Mus_03_LZ_FM2
	SongPtr		Mus_03_LZ_FM3
	SongPtr		Mus_03_LZ_FM4
	SongPtr		Mus_03_LZ_FM5
	SongPtr		Mus_03_LZ_FM6
	SongPtr		Mus_03_LZ_Drums

; S1_Labyrinth.vgm values:
;	51 30 40	-> 0F
;	51 34 72	-> 0D
;	51 31 E0	-> 0F
;	51 33 F3	-> 0C
;	51 32 C2	-> 0D
;	51 35 21/92	-> 0E

Mus_03_LZ_FM1:
	cSetInstrumentA	09h, 04h, 0
	cSetVolume	0Dh, 0Eh
	cSetTranspose	72
	
	cGoTo		Mus_03_LZ_Trk1

Mus_03_LZ_FM5:
	Note		nRst, 96
	cSetInstrumentA	09h, 0, 07h
	cSetVolume	0Dh, 0Ch
	cSetTranspose	60
	
	;cGoTo		Mus_03_LZ_Trk1
	cGoTo		Mus_03_LZ_Trk1_JumpIn	; skip Modulation

Mus_03_LZ_FM2:
	cSetInstrumentA	09h, 0Eh, 0
	cSetVolume	0Eh, 0Fh
	cSetTranspose	24
	
	cGoTo		Mus_03_LZ_Trk2

Mus_03_LZ_FM4:
	cSetInstrumentA	09h, 0, 0Fh
	cSetVolume	0Eh, 0Ch
	cSetTranspose	36
	
	cGoTo		Mus_03_LZ_Trk2

Mus_03_LZ_FM3:
	cSetInstrumentA	0Bh, 0Ch, 0
	cSetVolume	0Bh-1, 0Dh-1
	
	cGoTo		Mus_03_LZ_Trk3

Mus_03_LZ_FM6:
	Note		nRst, 96
	cSetInstrumentA	0Bh, 0, 02h
	cSetVolume	0Bh-1, 0Dh-1
	cSetTranspose	60-12
	cDetune		+4, -2
	
	cLoopStart	0
	
	cGoSub		Mus_03_LZ_Trk3_MainA
	cSetInstrumentA	0Bh, 0, 09h
	cGoSub		Mus_03_LZ_Trk3_MainB
	cSetInstrumentA	0Bh, 0, 02h
	
	cTrkEndMusic


Mus_03_LZ_PSG1:
	cSetInstrumentA	09h, 04h, 07h
	cSetVolume	0Dh, 0Eh
	cSetTranspose	60
Mus_03_LZ_Trk1:	; 000A
	cTempo		1, 1
	cDummy		0FFh
	cModulation	16, 1, 4, +7, -2
	
Mus_03_LZ_Trk1_JumpIn:
	cLoopStart	0
	Note		nG, lExtra, 144
	Note		nHold, lExtra, 72
	Note		nEb, 8
	Note		nF, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nF, 16
	cChgVolume	+4, +2
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nC, 16
	Note		nHold, lExtra, 144
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nF, 8
	Note		nFs, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nFs, 16
	cChgVolume	+4, +2
	Note		nG, 16
	Note		nHold, lExtra, 144
	Note		nHold, lExtra, 72
	Note		nEb, 8
	Note		nF, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nF, 16
	cChgVolume	+4, +2
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nC, 16
	Note		nHold, lExtra, 144
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nF, 8
	Note		nEb, 16
	Note		nRst, 8
	Note		nC, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nC, 16
	cChgVolume	+4, +2
	Note		nC, 16
	cOctaveDown
	Note		nBb, lExtra, 36
	Note		nG, 8
	cOctaveUp
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nF, lExtra, 36
	Note		nF, 16
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	cOctaveDown
	Note		nG, 8
	Note		nBb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nBb, 16
	cChgVolume	+4, +2
	Note		nC1, 16
	Note		nHold, lExtra, 144
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nC1, 16
	cChgVolume	+4, +2
	
	cLoopStart	3
Mus_03_LZ_Trk1_Loop_00:	; 00B3
	cOctaveUp
	Note		nG, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nG, 16
	cChgVolume	+4, +2
	cOctaveDown
	cLoopEnd	Mus_03_LZ_Trk1_Loop_00

	Note		nC1, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nC1, 16
	cChgVolume	+4, +2
	Note		nC1, 16
	Note		nBb, lExtra, 36
	Note		nG, 8
	cOctaveUp
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nF, lExtra, 36
	Note		nF, 16
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	cOctaveDown
	Note		nG, 8
	Note		nBb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nBb, 16
	cChgVolume	+4, +2
	Note		nC1, 16
	Note		nHold, lExtra, 144
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nC1, 16
	cChgVolume	+4, +2
	cOctaveUp
	
	cLoopStart	3
Mus_03_LZ_Trk1_Loop_01:	; 00FC
	Note		nG, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nG, 16
	cChgVolume	+4, +2
	cLoopEnd	Mus_03_LZ_Trk1_Loop_01

	Note		nC1, 16
	Note		nHold, 8
	Note		nC1, 16
	Note		nBb, lExtra, 36
	Note		nG, 8
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nF, lExtra, 36
	Note		nF, 16
	Note		nEb, lExtra, 36
	Note		nF, 8
	Note		nG, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nG, 16
	cChgVolume	+4, +2
	Note		nF, lExtra, 36
	Note		nF, 16
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nC, 8
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nF, lExtra, 36
	Note		nF, 16
	Note		nF, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nF, 16
	cChgVolume	+4, +2
	Note		nF, 8
	Note		nG, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nG, 16
	cChgVolume	+4, +2
	Note		nC1, 16
	Note		nHold, 8
	Note		nC1, 16
	Note		nBb, lExtra, 36
	Note		nG, 8
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nF, lExtra, 36
	Note		nF, 16
	Note		nEb, lExtra, 36
	Note		nF, 8
	Note		nG, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nG, 16
	cChgVolume	+4, +2
	Note		nF, lExtra, 36
	Note		nF, 16
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nC, 8
	Note		nEb, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nEb, 16
	cChgVolume	+4, +2
	Note		nF, lExtra, 36
	Note		nF, 16
	Note		nF, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nF, 16
	cChgVolume	+4, +2
	Note		nF, 8
	Note		nFs, 16
	Note		nRst, 8
	Note		nG, 16
	cHold
	cTrkEndMusic

Mus_03_LZ_PSG2:
	cSetInstrumentA	09h, 0Eh, 0Fh
	cSetVolume	0Eh, 0Fh
	cSetTranspose	36
Mus_03_LZ_Trk2:	; 019D
	cLoopStart	0
	
	Note		nC, lExtra, 36
	
	cLoopStart	8
Mus_03_LZ_Trk2_Loop1:	; 01AB
	Note		nEb, lExtra, 36
	Note		nF, lExtra, 36
	Note		nFs, 8
	Note		nG, 16
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nG, 16
	cChgVolume	+4, +2
	Note		nG, 16
	cOctaveDown
	Note		nA, lExtra, 36
	Note		nBb, lExtra, 36
	Note		nB, 8
	Note		nC1, 16
	cLoopJump	1, Mus_03_LZ_Trk2_Loop1_Coda
	
	cOctaveUp
	Note		nRst, 16
	cChgVolume	-4, -2
	Note		nC, 16
	cChgVolume	+4, +2
	Note		nC, 16
Mus_03_LZ_Trk2_Loop1_Coda:
	cLoopEnd	Mus_03_LZ_Trk2_Loop1
	
	cLoopStart	2
Mus_03_LZ_Trk2_Loop2:	; 01E6
	Note		nC1, lExtra, 36
	Note		nC1, lExtra, 36
	Note		nC1, lExtra, 36
	Note		nC1, 16
	Note		nC1, 16
	Note		nC1, 16
	Note		nBb, lExtra, 36
	Note		nBb, lExtra, 36
	Note		nBb, lExtra, 36
	Note		nBb, 16
	Note		nBb, 16
	Note		nBb, 16
	cOctaveUp
	Note		nGs, lExtra, 36
	Note		nGs, lExtra, 36
	Note		nGs, lExtra, 36
	Note		nGs, 16
	Note		nGs, 16
	Note		nGs, 16
	Note		nG, lExtra, 36
	Note		nG, lExtra, 36
	cLoopJump	1, Mus_03_LZ_Trk2_Loop2_Coda
	Note		nG, lExtra, 36
	Note		nG, 16
	Note		nG, 16
	Note		nG, 16
Mus_03_LZ_Trk2_Loop2_Coda:	; save 1 byte by moving this label above of cOctaveDown
	cOctaveDown
	cLoopEnd	Mus_03_LZ_Trk2_Loop2
	
	Note		nBb, 16
	Note		nBb, 16
	Note		nBb, 16
	Note		nB, 16
	Note		nB, 16
	Note		nB, 16
	cOctaveUp
	cTrkEndMusic

Mus_03_LZ_PSG3:
	cSetInstrumentA	0Bh, 0Ch, 02h
	cSetVolume	0Bh-1, 0Dh-1
Mus_03_LZ_Trk3:	; 023F
	cSetTranspose	60-12
	cDetune		+4, -2
	
	cLoopStart	0
	
	cGoSub		Mus_03_LZ_Trk3_MainA
	cGoSub		Mus_03_LZ_Trk3_MainB
	
	cTrkEndMusic
	
Mus_03_LZ_Trk3_MainA:
	cLoopStart	2
Mus_03_LZ_Trk3_Loop1:	; 024E
	;cSetVolume	0Bh, 0Dh
	;cChgVolume	+1, +1
	cVolumeUp
	cOctaveUp
	
	cLoopStart	6
Mus_03_LZ_Trk3_Loop2:	; 0253
	Note		nC1, 16
	Note		nRst, 16
	cChgVolume	-4, -3
	Note		nC1, 16
	cChgVolume	+3, +2
	cLoopEnd	Mus_03_LZ_Trk3_Loop2
	; After this loop our volume is: 05h, 07h
	
	;cSetVolume	0Ah, 0Ch
	cChgVolume	+5, +5
	Note		nC, 8
	Note		nC, 16
	Note		nRst, 8
	Note		nC, 16
	Note		nRst, 8
	cOctaveDown
	Note		nG, 16
	Note		nHold, lExtra, 72
	cOctaveUp
	Note		nEb, 16
	Note		nF, 16
	Note		nFs, 16
	Note		nG, 16
	Note		nFs, 16
	Note		nF, 16
	Note		nEb, 16
	Note		nC, 16
	cOctaveDown
	Note		nBb, 16
	Note		nC1, 16
	Note		nBb, 16
	Note		nG, 8
	Note		nBb, 16
	Note		nG, 16
	cLoopEnd	Mus_03_LZ_Trk3_Loop1
	
	cLoopStart	2
Mus_03_LZ_Trk3_Loop3:	; 0284
	Note		nRst, 8
	Note		nG, 16
	Note		nG, 8
	Note		nRst, 16
	Note		nD, 8
	Note		nBb, 16
	Note		nRst, 8
	Note		nC1, lExtra, 36
	Note		nC1, 16
	Note		nBb, 16
	Note		nRst, 8
	Note		nD, 8
	Note		nF, 16
	Note		nRst, 8
	Note		nG, lExtra, 36
	Note		nG, 16
	Note		nEb, 16
	Note		nRst, 8
	Note		nF, 8
	Note		nFs, 16
	Note		nRst, 8
	Note		nG, 16
	Note		nRst, 8
	Note		nG, 16
	Note		nEb, lExtra, 36
	Note		nF, 8
	Note		nEb, 16
	Note		nRst, 8
	Note		nG, 16
	cLoopEnd	Mus_03_LZ_Trk3_Loop3
	cReturn
	
Mus_03_LZ_Trk3_MainB:
	cLoopStart	2
Mus_03_LZ_Trk3_Loop4:	; 02A9
	Note		nG, lExtra, 144
	Note		nG, lExtra, 144
	Note		nC1, lExtra, 144
	Note		nC1, lExtra, 36
	cOctaveUp
	Note		nD, 16
	Note		nEb, 16
	Note		nF, 16
	Note		nG, 16
	Note		nF, 16
	Note		nEb, 16
	Note		nD, 16
	cOctaveDown
	Note		nBb, 16
	Note		nG, 16
	cLoopEnd	Mus_03_LZ_Trk3_Loop4
	cReturn

Mus_03_LZ_Drums:	; 02C0
	cSetTranspose	80h
	cSetVolume	09h, 0Dh
	
	cLoopStart	0
	
	cLoopStart	47
Mus_03_LZ_Drums_Loop_00:	; 02C7
	Note		nBassDrm, 16
	Note		nRst, 16
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 8
	cChgVolume	-2, -1
	Note		nBassDrm, 16
	cLoopEnd	Mus_03_LZ_Drums_Loop_00
	
	Note		nBassDrm, 16
	Note		nRst, 16
	Note		nBassDrm, 16
	cChgVolume	+2, +1
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	Note		nSnareDrm, 16
	cChgVolume	-2, -1
	cTrkEndMusic

