; Space Harrier Theme (Rent-A-Hero)
; AKA Sonic Retro Theme

; Finished: 08.08.2014
; Compiled size: 533 bytes

SHJingle_FM:
	StartSongMarker
	SongPtr		SHJingle_Bass		; FM 1
	SongPtr		SHJingle_SquareL	; FM 2
	SongPtr		SHJingle_SquareH	; FM 3
	SongPtr		SHJingle_ChordL		; FM 4
	SongPtr		SHJingle_ChordM		; FM 5
	SongPtr		SHJingle_ChordH		; FM 6
	SongPtr		SHJingle_Drums		; Rhythm

;	SongPtr		SHJingle_Bass
;	SongPtr		SHJingle_Arpeggio
;	SongPtr		SHJingle_ChordL
;	SongPtr		SHJingle_ChordM
;	SongPtr		SHJingle_ChordH
;	SongPtr		SHJingle_Drums
;	SongPtr		SHJingle_HiHats
;	SongPtr		SHJingle_SquareL
;	SongPtr		SHJingle_SquareH
	
; FM 1 (Bass)
SHJingle_Bass:
	Note		nRst, 2
	cSetInstrument	00h, 0Eh	; OPLL: Acoustic Bass
	cSetVolume	0Fh, 0Fh-1	; MIDI Volume 122
	;cSetPan	PanCenter
	cSetTranspose	24
	
	cLoopStart	24
SHJingle_Bass_Loop1:
	Note		nC, 8
	Note		nC1, 16
	Note		nRst, 16
	cLoopEnd	SHJingle_Bass_Loop1
	
	cOctaveDown
	Note		nF, 8
	Note		nF, 8
	Note		nF, 8
	Note		nRst, 4
	cOctaveUp
	Note		nD, 8
	Note		nRst, 8
	Note		nC, 8
	Note		nRst, 2
	Note		nC, 8
	Note		nHold, 96
	cTrkEndMusic

; FM 2 (Arpeggio)
SHJingle_Arpeggio:
	Note		nRst, 2
	cSetInstrument	00h, 0Ch	; OPLL: Vibraphone
	cSetVolume	0Eh, 0Dh	; MIDI Volume 108
	;cSetPan	PanCenter
	cSetTranspose	48
	
	cLoopStart	4
SHJingle_Arpeggio_Loop1:
	Note		nC1, 16
	Note		nG, 16
	Note		nC, 16
	Note		nG, 16
	cLoopEnd	SHJingle_Arpeggio_Loop1
	
	cLoopStart	8
SHJingle_Arpeggio_Loop2:
	Note		nC1, 16
	Note		nF, 16
	Note		nC, 16
	Note		nF, 16
	cLoopEnd	SHJingle_Arpeggio_Loop2
	
	cLoopStart	8
SHJingle_Arpeggio_Loop3:
	Note		nC1, 16
	Note		nG, 16
	Note		nC, 16
	Note		nG, 16
	cLoopEnd	SHJingle_Arpeggio_Loop3
	
	cLoopStart	4
SHJingle_Arpeggio_Loop4:
	Note		nC1, 16
	Note		nF, 16
	Note		nC, 16
	Note		nF, 16
	cLoopEnd	SHJingle_Arpeggio_Loop4
	
	cChgTranspose	+5	; C -> F
	Note		nC1, 16
	Note		nRst, 16
	Note		nG, 16
	Note		nRst, 16
	
	Note		nC, 16
	Note		nRst, 16
	Note		nG, 16
	Note		nRst, 16
	
	Note		nC1, 16
	Note		nRst, 16
	Note		nG, 16
	Note		nRst, 16
	
	Note		nRst, 8
	Note		nG, 16
	Note		nRst, 16
	cTrkEndMusic

; FM 3 (Chord L)
SHJingle_ChordL:
	Note		nRst, 2
	cSetInstrument	00h, 07h	; OPLL: Trumpet
	cSetVolume	0Dh, 0Ch	; MIDI Volume 100
	;cSetPan	PanRight
	cSetTranspose	60
	
	cLoopStart	2
SHJingle_ChordL_Loop1:
	Note		nE, 2		; 2:1/6:1
	Note		nHold, 8
	Note		nRst, 8
	Note		nE, 16
	Note		nRst, 16
	Note		nF, 8
	Note		nHold, 2	; 3:1/7:1
	Note		nHold, 4
	Note		nRst, 4
	cLoopJump	1, SHJingle_ChordL_Loop1_Coda
	
	Note		nF, 2		; 4:1
	Note		nHold, 16
	Note		nRst, 16
	Note		nF, 8
	Note		nRst, 8
	Note		nE, 8
	Note		nHold, 2	; 5:1
	Note		nHold, 4
	Note		nRst, 4
SHJingle_ChordL_Loop1_Coda:
	cLoopEnd	SHJingle_ChordL_Loop1
	
	Note		nF, 16		; 8:1
	Note		nRst, 16
	Note		nF, 16
	Note		nRst, 16
	Note		nF, 8
	Note		nRst, 4
	Note		nF, 8
	Note		nRst, 8
	Note		nE, 8
	Note		nRst, 2
	Note		nE, 8		; 9:3
	Note		nHold, 48
	cTrkEndMusic

; FM 4 (Chord M)
SHJingle_ChordM:
	Note		nRst, 96
	Note		nRst, 2
	cSetInstrument	00h, 07h	; OPLL: Trumpet
	cSetVolume	0Dh, 0Ch	; MIDI Volume 100
	;cSetPan	PanCenter
	cSetTranspose	60
	
	cLoopStart	2
SHJingle_ChordM_Loop1:
	Note		nG, 2		; 2:1/6:1
	Note		nHold, 8
	Note		nRst, 8
	Note		nG, 16
	Note		nRst, 16
	Note		nA, 8
	Note		nHold, 2	; 3:1/7:1
	Note		nHold, 4
	Note		nRst, 4
	cLoopJump	1, SHJingle_ChordM_Loop1_Coda
	
	Note		nGs, 2		; 4:1
	Note		nHold, 16
	Note		nRst, 16
	Note		nGs, 8
	Note		nRst, 8
	Note		nG, 8
	Note		nHold, 2	; 5:1
	Note		nHold, 4
	Note		nRst, 4
SHJingle_ChordM_Loop1_Coda:
	cLoopEnd	SHJingle_ChordM_Loop1
	
	Note		nGs, 16		; 8:1
	Note		nRst, 16
	Note		nGs, 16
	Note		nRst, 16
	Note		nGs, 8
	Note		nRst, 4
	Note		nGs, 8
	Note		nRst, 8
	Note		nG, 8
	Note		nRst, 2
	cOctaveDown
	Note		nG, 8		; 9:3
	Note		nHold, 48
	cTrkEndMusic

; FM 5 (Melody, Chord H)
SHJingle_ChordH:
	Note		nRst, 96
	Note		nRst, 2
	cSetInstrument	00h, 07h	; OPLL: Trumpet
	cSetVolume	0Dh, 0Dh+1	; MIDI Volume 100
	;cSetPan	PanLeft
	cSetTranspose	60+12
	
	cLoopStart	2
SHJingle_ChordH_Loop1:
	Note		nC, 2		; 2:1/6:1
	Note		nHold, 8
	Note		nRst, 8
	Note		nC, 16
	Note		nRst, 16
	Note		nC, 8
	Note		nHold, 2	; 3:1/7:1
	Note		nHold, 4
	Note		nRst, 4
	cLoopJump	1, SHJingle_ChordH_Loop1_Coda
	
	Note		nC, 2		; 4:1
	Note		nHold, 16
	Note		nRst, 16
	Note		nC, 8
	Note		nRst, 8
	Note		nC, 8
	Note		nHold, 2	; 5:1
	Note		nHold, 4
	Note		nRst, 4
SHJingle_ChordH_Loop1_Coda:
	cLoopEnd	SHJingle_ChordH_Loop1
	
	Note		nD, 16		; 8:1
	Note		nRst, 16
	Note		nD, 16
	Note		nRst, 16
	Note		nD, 8
	Note		nRst, 4
	Note		nD, 8
	Note		nRst, 8
	Note		nC, 8
	Note		nRst, 2
	cOctaveDown
	Note		nC, 8		; 9:3
	Note		nHold, 96
	cTrkEndMusic

	enum nSnareL=nSnareDrm
	enum nSnareH=nSnareDrm
	enum nSnareTomL=8
	enum nCymbal=nBassCym
	enum nTambourine=7
	;enum nTomL=6, nTomM, nTomH
	enum nTomL=6, nTomM=6, nTomH=6
	enum nHHClose=9, nHHOpen

; DAC (Main Drums)
SHJingle_Drums:
	cSetTranspose	80h
	; default values: BD 0F, SD 0F, Tom 0E, Cym 0D, HH 0C
	cDrumVolume	0Fh, 0Fh, 0Ch, 0Dh, 0Dh
	cSetVolume	0Dh, 0Fh
	
	Note		nSnareL, 16
	Note		nBassDrm, 16
	Note		nBassDrm, 16
	Note		nBassDrm, 16
	Note		nSnareL, 4
	
	cLoopStart	3
SHJingle_Drums_Loop1:
	Note		nBassDrm, 8		; 2:1/4:1/6:1
	Note		nTambourine, 16
	Note		nTambourine, 16
	Note		nSnareH, 8
	Note		nTambourine, 16
	Note		nTambourine, 16
	Note		nBassDrm, 8		; 2:3/4:3/6:3
	Note		nBassDrm, 16
	Note		nTambourine, 16
	Note		nSnareH, 8
	Note		nTambourine, 16
	Note		nTambourine, 16
	
	Note		nBassDrm, 8		; 3:1/5:1/7:1
	Note		nTambourine, 16
	Note		nTambourine, 16
	Note		nSnareH, 8
	Note		nBassDrm, 16
	Note		nTambourine, 16
	Note		nTambourine, 16		; 3:3/5:3/7:3
	Note		nTambourine, 16
	Note		nBassDrm, 16
	Note		nTambourine, 16
	cLoopJump	1, SHJingle_Drums_Loop1_Coda
	Note		nSnareTomL, 8
	Note		nTambourine, 16
	Note		nTambourine, 16
SHJingle_Drums_Loop1_Coda:
	cLoopEnd	SHJingle_Drums_Loop1
	Note		nSnareH, 8
	Note		nTambourine, 16
	Note		nTambourine, 16
	
	Note		nSnareH, 8		; 8:1
	Note		nSnareH, 8
	Note		nSnareH, 8
	Note		nTomH, 16
	Note		nTomM, 16
	Note		nTomL, 8		; 8:3
	Note		nBassDrm, 4
	Note		nSnareH, 2
	Note		nRst, 8
	cDrumVolume	0Fh, 0Fh, 0Fh, 0Fh, 0Fh
	cSetVolume	0Dh, 0Fh	; refresh Drum Volume
	Note		nCymbal, 2		; 9:3
	cTrkEndMusic

; Noise (Hi-Hats)
SHJingle_HiHats:
	Note		nRst, 2
	cLoopStart	7
SHJingle_HiHats_Loop1:
	Note		nHHClose, 16
	Note		nHHClose, 16
	Note		nHHOpen, 8
	cLoopEnd	SHJingle_HiHats_Loop1
	Note		nHHOpen, 8
	Note		nHHClose, 16
	Note		nHHClose, 16
	
	cLoopStart	7
SHJingle_HiHats_Loop2:
	Note		nHHClose, 16
	Note		nHHClose, 16
	Note		nHHOpen, 8
	cLoopEnd	SHJingle_HiHats_Loop2
	Note		nHHClose, 16
	Note		nHHOpen, 16
	Note		nHHClose, 16
	Note		nHHClose, 16
	
	cLoopStart	6
SHJingle_HiHats_Loop3:
	Note		nHHClose, 16
	Note		nHHClose, 16
	Note		nHHOpen, 8
	cLoopEnd	SHJingle_HiHats_Loop3
	Note		nHHClose, 16
	Note		nHHClose, 16
	Note		nHHOpen, 16
	Note		nHHClose, 16
	
	Note		nHHClose, 16
	Note		nHHClose, 16
	Note		nHHClose, 16
	Note		nHHClose, 16
	
	Note		nHHOpen, 12	; 8:1
	Note		nRst, 24
	Note		nHHOpen, 12
	Note		nRst, 24
	Note		nHHOpen, 12	; 8:2
	Note		nRst, 24
	Note		nRst, 4
	Note		nHHOpen, 12
	Note		nRst, 24
	Note		nRst, 8		; 8:4
	Note		nHHOpen, 12
	Note		nRst, 24
	cTrkEndMusic			; 9:1

; Square Lead L
SHJingle_SquareL:
	Note		nRst, 2
	;cSetInstrument	00h, 05h	; OPLL: Clarinet
	;cSetVolume	0Eh, 0Eh-1	; MIDI Volume 112
	;cSetPan	PanLeft
	cSetTranspose	48
	
	cLoopStart	3
SHJingle_SquareL_Loop1:
	Note		nRst, 4		; 2:1/4:1/6:1
	cSetInstrument	00h, 05h
	cSetVolume	0Eh, 0Eh-1
	Note		nG, 24
	Note		nRst, 12
	Note		nG, 24
	Note		nRst, 12
	Note		nG, 8
	Note		nRst, 16
	Note		nG, 16
	Note		nRst, 2
	
	cSetInstrument	00h, 04h
	cSetVolume	0Eh, 0Eh
	cLoopJump	2, SHJingle_SquareL_Loop1b
	Note		nA, 24		; 3:2/7:2
	Note		nRst, 12
	Note		nA, 24
	Note		nRst, 12
	Note		nA, 8
	Note		nRst, 16
	Note		nA, 16
	Note		nRst, 4
	cChgTranspose	+1
SHJingle_SquareL_Loop1b_back:
	cLoopEnd	SHJingle_SquareL_Loop1
	
	cChgTranspose	-1
	Note		nC1, 24		; 8:1
	Note		nRst, 12
	Note		nC1, 24
	Note		nRst, 12
	Note		nC1, 8
	Note		nRst, 4
	Note		nC1, 8
	Note		nRst, 8
	Note		nC1, 8
	Note		nRst, 2
	cSetInstrument	00h, 05h
	cSetVolume	0Eh, 0Eh-1
	Note		nC, 8
	Note		nHold, 96
	cTrkEndMusic

SHJingle_SquareL_Loop1b:
	cChgTranspose	-1
	Note		nG, 24		; 5:2
	Note		nRst, 12
	Note		nG, 24
	Note		nRst, 12
	Note		nG, 8
	Note		nRst, 16
	Note		nG, 8
	Note		nRst, 16
	Note		nG, 8
	cGoTo		SHJingle_SquareL_Loop1b_back

; Square Lead H
SHJingle_SquareH:
	Note		nRst, 2
	;cSetInstrument	00h, 05h	; OPLL: Clarinet
	;cSetVolume	0Eh, 0Eh-1	; MIDI Volume 112
	;cSetPan	PanRight
	cSetTranspose	48
	
	cLoopStart	3
SHJingle_SquareH_Loop1:
	Note		nRst, 4		; 2:1/4:1/6:1
	cSetInstrument	00h, 05h
	cSetVolume	0Eh, 0Eh-1
	Note		nC1, 24
	Note		nRst, 12
	Note		nC1, 24
	Note		nRst, 12
	Note		nB, 8
	Note		nRst, 16
	Note		nC1, 16
	Note		nRst, 2
	
	cOctaveUp
	cSetInstrument	00h, 04h
	cSetVolume	0Eh, 0Eh
	Note		nC, 24		; 3:2/7:2
	Note		nRst, 12
	cLoopJump	2, SHJingle_SquareH_Loop1b
	Note		nC, 24
	Note		nRst, 12
	Note		nD, 8
	Note		nRst, 16
	Note		nC, 16
	Note		nRst, 4
SHJingle_SquareH_Loop1b_back:
	cOctaveDown
	cLoopEnd	SHJingle_SquareH_Loop1
	
	cOctaveUp
	Note		nF, 24		; 8
	Note		nRst, 12
	Note		nF, 24
	Note		nRst, 12
	Note		nF, 8
	Note		nRst, 4
	Note		nF, 8
	Note		nRst, 8
	Note		nE, 8
	Note		nRst, 2
	cSetInstrument	00h, 05h
	cSetVolume	0Eh, 0Eh-1
	Note		nC, 8
	Note		nHold, 96
	cTrkEndMusic

SHJingle_SquareH_Loop1b:
	Note		nD, 24
	Note		nRst, 12
	Note		nE, 8
	Note		nRst, 16
	Note		nD, 8
	Note		nRst, 16
	Note		nC, 8
	cGoTo		SHJingle_SquareH_Loop1b_back
