@ECHO OFF

REM // run the assembler
REM // -xx shows the most detailed error output
REM // -c outputs a shared file (built.h)
REM // -A gives us a small speedup
set AS_MSGPATH=win32
set USEANSI=n
"win32/asw" -xx -c -A -L -E error.log Main.asm

REM // combine the assembler output into a rom
IF EXIST Main.p "win32/mdp2bin" Main.p built.sms

REM // done -- pause if we seem to have failed, then exit
IF NOT EXIST built.p goto LABLPAUSE
IF EXIST built.sms exit /b
:LABLPAUSE
del Main.p
del Main.h

pause


exit /b

:LABLERROR1
echo Failed to build because write access to built.h was denied.
pause


exit /b

:LABLERROR2
echo Failed to build because write access to built.p was denied.
pause


exit /b

:LABLERROR3
echo Failed to build because write access to built.sms was denied.
pause


